<?php
use App\Repositories\Models as Model;
/**
 * Site Settins
 */
if(!function_exists('branches')){
	function branches(){
		$mdl = new Model();
		return $mdl->model('Branch')->where(['trash'=>0])->get();
	} 
}
/**
 * Site Settins
 */
if(!function_exists('setting')){
	function setting(){
		$fileable = (Object)[
			"app_name"		=> "",
			"email"			=> "",
			"address"		=> "",
			"contact_no"	=> "",
			"logo_path"		=> "",
			"fav_icon_path"	=> "",
		];

		$setting = new Model('Setting');
		if(!$setting->get()->isEmpty())
			return $setting->first();
		else
		return $fileable;
	} 
}
/**
 * Get Balance Status
 */
if(!function_exists('getBalanceStatus')){
	function getBalanceStatus($balance=0){
		if($balance==0){
			return "---";
		}
		else if($balance > 0){
			return "Receivable";
		}
		else {
			return "Payable";
		}
	} 
}



/**
 * Fetching Authenticate Guard Information
 */
if(!function_exists('admin')){
	function admin(){
		return Auth::guard('admin')->user();
	} 
}


/**
 * Set FLash Message
 */
if(!function_exists('msg')){
	function msg($type=null, $msg=null){
		session()->flash($type, $msg);
	}
}


/**
 * Backend Menus
 */
if(!function_exists('AsideMenus')){
	function AsideMenus()
	{
		$admin_privilege = new Model('AdminPrivilege');
		$admin_privilege = $admin_privilege->where(['admin_id'=>Auth::guard('admin')->user()->id])->first();

		$menu_is 		= ($admin_privilege ? json_decode($admin_privilege->menu) : []);
		$sub_menu_is 	= ($admin_privilege ? json_decode($admin_privilege->sub_menu) : []);
		$action_menu_is = ($admin_privilege ? json_decode($admin_privilege->action_menu) : []);


		$aside = [];
		$menus = new Model('Menu');
		$menus = $menus->where(['trash'=>0])->with(['subMenu'])->orderBy('position', 'ASC')->get();

		if(!empty($menus)){
			foreach($menus as $key=>$row)
			{
				if(in_array($row->id, $menu_is) || Auth::guard('admin')->user()->type=='superadmin'){
					$aside[$key] = [
						"name" 		=> $row->name_en,
						"url"  		=> ($row->route ? route($row->route) : $row->url),
						"active"	=> (Route::is($row->route_name) ? 'active' : ''),
						"icon"		=> $row->icon,
					];
					/*
					 * *************************************
					 * // Checking Sub Menu Collection
					 * *********************************
					 *
					*/
					if(!$row->subMenu->isEmpty())
					{
						foreach ($row->subMenu as $key2 => $row2)
						{
							if(in_array($row2->id, $sub_menu_is ) || Auth::guard('admin')->user()->type=='superadmin'){
								$is_active = (Route::is($row2->route_name) ? 'active' : '');
								$aside[$key]['submenus'][$key2] = [
									"name" 	 => $row2->name_en,
									"url"  	 => ($row2->route ? route($row2->route_name) : $row2->url),
									"active" => $is_active,
									"icon"	 => $row2->icon,
								];
								if($is_active) $aside[$key]['active'] = $is_active;

								/*
								 * *****************************************
								 *	// Checking Action Menu Collecton 
								 * ************************************
								 *
								*/
								if(!$row2->getActionMenu->isEmpty())
								{	
									foreach ($row2->getActionMenu as $row3) 
									{
										if(in_array($row3->id, $action_menu_is) || Auth::guard('admin')->user()->type=='superadmin'){
											$is_active = (Route::is($row3->route_name) ? 'active' : '');
											if($is_active){
												$aside[$key]['active'] 			          = $is_active;
												$aside[$key]['submenus'][$key2]['active'] = $is_active;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
		return (Object)$aside;
	}
}