<?php

namespace App\Http\Controllers\API\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Interfaces\Model;
use App\Interfaces\Image;
use Auth, Hash;

class AdminController extends Controller
{
    public function changePassword(Request $request, Model $mdl){
        $admin = $mdl->model('Admin')->where(['id'=>$request->user_id]);
        if($admin->first() && Hash::check($request->old_password, $admin->first()->password)){
            $admin->update(['password'=>Hash::make($request->new_password)]);
            return 1;
        }
        return 0;
    }


    public function updateProfile(Request $request, Model $mdl, Image $img){
        if($request->img)
        {
            $admin = $mdl->model('Admin')
            ->where(['id'=>$request->user_id])
            ->update(['img'=>$request->img], ['file'=>'img', 'location'=>'public/images/admin/', 'size'=>[250], 'quality'=>40]);

            return response()->json($admin);
        }
        else {
            $data  = $request->except(['_token', 'user_id']);
            $admin = $mdl->model('Admin')->where(['id'=>$request->user_id])->update($data);
            return response()->json($admin);
        }
    }
}
