<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Interfaces\Model, Auth;

class AdminController extends Controller
{
    public function __construct()
    {
        $this->middleware('admin');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function profile()
    {
        return view('backend.pages.admin.profile');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Model $mdl)
    {
        $this->updateValidate($request);

        $data = $request->except(['_token']);
        $mdl->model('Admin')->where(['id'=>Auth::guard('admin')->user()->id])
            ->update($data, ['file'=>'img', 'location'=>'public/images/admin/', 'size'=>[250, 250], 'quality'=>40]);

        msg('success', 'Your Profile Successfully Updated');
        return redirect()->back();
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    protected function updateValidate($request)
    {
        $user = Auth::guard('admin')->user();
        $data = [];
        if($user->name!=$request->name || $request->name=='')
            $data['name'] ='required';
        if($user->email != $request->email || $request->email=='')
            $data['email']  = 'required|uniques:admins,email';
        if($user->gender != $request->gender || $request->gender=='')
            $data['gender'] = 'required';
        if($user->date_of_birth != $request->date_of_birth || $request->date_of_birth=='')
            $data['date_of_birth'] ='required';
        return $request->validate($data);
    }

}
