<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Interfaces\Model, Auth;

class PrivilegeController extends Controller
{
    public function __construct()
    {
        $this->middleware('admin');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Model $mdl)
    {
        $menus  = $mdl->model('Menu')->where(['trash'=>0])->with(['subMenu'])->orderBy('position', 'ASC')->get();
        $admins = $mdl->model('Admin')->where([['trash', 0], ['type', '!=', 'superadmin'], ['type', '!=', 'driver']])->get();
        return view('backend.pages.privilege.index', compact('menus', 'admins'));
    }
}
