<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Interfaces\Model;
use App\Interfaces\Image;

class SettingsController extends Controller
{
    public function __construct(){
        $this->middleware('admin');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request, Image $image, Model $model)
    {
        if($request->isMethod('POST')){
            $setting = $model->model('Setting')->first();

            $data = $request->except(['_token', 'logo', 'fav_icon']);
            

            if(!$setting)
                $model->model('Setting')->create($data);

            else
                $model->model('Setting')->where(['id'=>$setting->id])->update($data);
        }
        // Fetch Last Updated Data
        $setting = $model->model('Setting')->first();

        return view('backend.pages.settings', compact('setting'));
    }
}
