<?php
namespace App\Http\Controllers\Fontend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Interfaces\Model;

class HomeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Model $mdl)
    {
        $sliders = $mdl->model("Slider")->orderBy('position', 'ASC')->limit(12)->get();
        $news_letters = $mdl->model("NewsLetter")->orderBy('id', 'ASC')->limit(6)->get();
        $goals = $mdl->model("GoalPurpose")->orderBy('position', 'ASC')->get();


        return view('fontend.pages.index', compact('sliders', 'news_letters', 'goals'));
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function viewNotice(Model $mdl, $id)
    {
        $notice = $mdl->model('NewsLetter')->where(['id'=>$id])->first();
        return view('fontend.pages.notice', compact('notice'));
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function gallery(Model $mdl)
    {
        $sliders = $mdl->model("Slider")->orderBy('position', 'ASC')->get();
        return view('fontend.pages.gallery', compact('sliders'));
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function contact()
    {
        return view('fontend.pages.contact');
    }

    public function career(Model $mdl, $category=null){
        $private_careers = $mdl->model('Career')->where(['category'=>'private'])->get();
        $business_careers = $mdl->model('Career')->where(['category'=>'business'])->get();
        $government_careers = $mdl->model('Career')->where(['category'=>'government'])->get();
        return view('fontend.pages.career', compact('private_careers', 'business_careers', 'government_careers'));
    }
}
