<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Menu extends Model
{
    use HasFactory;
    
    protected $fillable = ['name_en', 'name_bn', 'trash', 'route_name', 'url', 'icon', 'position'];

    // Relation with Sub-Menu
    public function subMenu()
    {
    	return $this->hasMany(SubMenu::class, 'menu_id', 'id')->where('trash', 0)->orderBy('position', 'ASC');
    }
}
