<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Schema;

use App\Repositories\Images;
use App\Interfaces\Image;

use App\Repositories\Models;
use App\Interfaces\Model;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        $this->app->singleton(Image::class, Images::class);
        $this->app->singleton(Model::class, Models::class);
        
        Schema::defaultStringLength(191);
    }
}
