<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRegistrationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('registrations', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->string('name_en')->nullable();
            $table->string('name_bn')->nullable();
            $table->string('father_name')->nullable();
            $table->string('mother_name')->nullable();
            $table->string('spouse_name')->nullable();
            $table->string('son')->nullable();
            $table->string('daughter')->nullable();
            $table->longText('children')->nullable();
            $table->string('birthday')->nullable();
            $table->string('nid_passport')->nullable();
            $table->string('gender')->nullable();
            $table->string('blood_group')->nullable();
            $table->string('religion')->nullable();
            $table->string('nationalily')->nullable();
            $table->string('present_address')->nullable();
            $table->string('village')->nullable();
            $table->string('post_office')->nullable();
            $table->string('thana')->nullable();
            $table->string('district')->nullable();
            $table->string('occupation')->nullable();
            $table->string('organization')->nullable();
            $table->string('designation')->nullable();
            $table->string('department')->nullable();
            $table->string('office_address')->nullable();
            $table->string('tel')->nullable();
            $table->string('mobile')->nullable();
            $table->string('email')->nullable();
            $table->string('membarship_applied_for')->nullable();
            $table->string('academic_department')->nullable();
            $table->string('academic_session')->nullable();
            $table->string('academic_passing_year')->nullable();
            $table->string('academic_other_degree')->nullable();
            $table->string('id_no')->nullable();
            $table->string('membership_fee_amount')->nullable();
            $table->date('membership_fee_date')->nullable();
            $table->string('membership_mone_recept_no')->nullable();
            $table->string('enclosed_national_id')->nullable();
            $table->string('enclosed_photograph')->nullable();
            $table->string('enclosed_diploma_certificate')->nullable();
            $table->string('enclosed_visiting_card')->nullable();
            $table->date('enclosed_date')->nullable();
            $table->string('is_accept')->default(0);
            $table->string('username', 255)->default(0);
            $table->text('password');
            
            $table->text('enclosed_documents')->nullable();
            $table->text('signeture_of_application')->nullable();
            $table->text('certificate')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('registrations');
    }
}
