(()=>{
	let has = readAll('.menu.has');
	if(has){
		Object.values(has).forEach(item=>{
			item.addEventListener('click', (event)=>{
				if(!event.target.closest('.sub-menu-wrapper')){
					if(item.classList.contains('open'))
						item.classList.remove('open');
					else
						item.classList.add('open');						
				}
			});
		});
	}

	has = readAll('.sub-menu.has');
	if(has){
		Object.values(has).forEach(item=>{
			item.addEventListener('click', (event)=>{
				if(!event.target.closest('.action-menu')){
					if(item.classList.contains('open'))
						item.classList.remove('open');
					else
						item.classList.add('open');	
				}
			});
		});
	}

	// Below Code Make A draggable Div
	var menus = readAll('.menu');
	if(menus) Object.values(menus).forEach(menu=>{
		menu.setAttribute('draggable', 'true');
		menu.ondrag    = dragHandleFn;
		menu.ondragend = endDragHandleFn;
	});

	var submenus = readAll('.sub-menu');
	if(submenus) Object.values(submenus).forEach(submenu=>{
		submenu.setAttribute('draggable', 'true');
		submenu.ondrag    = dragHandleFn;
		submenu.ondragend = endDragHandleFn;
	});

	var actionmenus = readAll('.action-menu');
	if(actionmenus) Object.values(actionmenus).forEach(actionmenu=>{
		actionmenu.setAttribute('draggable', 'true');
		actionmenu.ondrag    = dragHandleFn;
		actionmenu.ondragend = endDragHandleFn;
	});

	function dragHandleFn (event){
		const item  = event.target, 
				 x  = event.clientX, 
				 y  = event.clientY;
		let swapItem = document.elementFromPoint(x, y);

		// Below Code Execute When Found Menu Item
		if(item.classList.contains('menu') && swapItem.closest('.menu-wrapper') && (!swapItem.closest('.sub-menu-wrapper') && !swapItem.closest('.action-menu-wrapper'))){
			var wrapper  = item.parentNode;
				swapItem = swapItem.classList.contains('menu') ? swapItem : swapItem.parentNode;
			if(swapItem != wrapper){
				wrapper.insertBefore(item, swapItem);
			}
		}
		if(item.classList.contains('sub-menu') && swapItem.closest('.sub-menu-wrapper') && !swapItem.closest('.action-menu-wrapper')){
			var wrapper  = item.parentNode;
				swapItem = swapItem.classList.contains('sub-menu') ? swapItem : swapItem.parentNode;
			if(swapItem != wrapper && !swapItem.classList.contains('menu')){
				wrapper.insertBefore(item, swapItem);
			}
		}

		if(item.classList.contains('action-menu') && swapItem.closest('.action-menu-wrapper')){
			var wrapper  = item.parentNode;
				swapItem = swapItem.classList.contains('sub-menu') ? swapItem : swapItem.parentNode;
			if(swapItem != wrapper && !swapItem.classList.contains('menu') && !swapItem.classList.contains('sub-menu')){
				wrapper.insertBefore(item, swapItem);
			}
		}
        item.classList.add('drag-sort-active');
			
	}

	function endDragHandleFn (event){
		const item  = event.target;
		item.classList.remove('drag-sort-active');

		var menus = readAll('.menu');
		var submenus = readAll('.sub-menu');
		var actionmenus = readAll('.action-menu');

		var menu_id = [], submenu_id = [], actionmenu_id = [];

		if(menus){
			Object.values(menus).forEach((menu, key)=>{
				if(menu.dataset.id){
					menu_id.push(menu.dataset.id);
				}
			});
		}
		if(submenus){
			Object.values(submenus).forEach((submenu, key)=>{
				if(submenu.dataset.id){
					submenu_id.push(submenu.dataset.id);
				}
			});
		}
		if(actionmenus){
			Object.values(actionmenus).forEach((actionmenu, key)=>{
				if(actionmenu.dataset.id){
					actionmenu_id.push(actionmenu.dataset.id);
				}
			});
		}

		var data = {
			menus : JSON.stringify(menu_id),
			submenus : JSON.stringify(submenu_id),
			actionmenus : JSON.stringify(actionmenu_id),
		}

		axios.post(url+'api/admin/menu-sorting', data)
		.then(response=>{
			if(response.data==1){
				msg.success('Success, You Need To Reload The page...');
			}
		})
		.catch(err=>console.log(err));
	}
})()