var xa=(x)=>document.querySelectorAll(x);
var x=(x)=>document.querySelector(x);
(()=>{
	// Menu Rendaring
	let menu = xa('.menu');
	if(menu){
		Object.values(menu).forEach((tag)=>{
			tag.style.height = `${tag.scrollHeight}px`;
			clickEvent(tag);
		});
	}
	// Sub-Menu Rendaring
	let submenu = xa('.sub-menu');
	if(submenu){
		Object.values(submenu).forEach((tag)=>{
			tag.style.height = `${tag.scrollHeight}px`;
			if(tag.childElementCount<=1){
				tag.classList.add('sigle-item');
			}
		});
	}
	// Action-Menu Rendaring
	let action__menu_wrapper = xa('.action_-menu-wrapper');
	if(action__menu_wrapper){
		Object.values(action__menu_wrapper).forEach((tag)=>{
			tag.style.height = `${tag.scrollHeight}px`;
		});
	}

	let action_ = xa('.action_');
	if(action_){
		Object.values(action_).forEach((tag)=>{
			if(tag.parentElement.childElementCount<=1){
				tag.parentElement.classList.add('sigle-item');
			}
			var sign = tag.querySelector('.sign');
			if(sign)
			sign.addEventListener('click', ()=>{
				let parent = tag.parentElement;
				if(parent && parent.classList.contains('close_'))
					parent.classList.remove('close_');
				else if(parent)
					parent.classList.add('close_');
				var sub_menu = tag.parentElement;
				if(sub_menu && sub_menu.childElementCount>1){
					menuWidthControl(sub_menu.closest('.menu'));
				}
			});
		});
	}

	function menuWidthControl(menu){
		if(menu){
			let interval = setInterval(()=>{
				var childs  = menu.children;
				var total_h = (menu.childElementCount * 11)-11;
				if(childs){
					Object.values(childs).forEach((tag)=>{
						total_h += tag.scrollHeight;
					});
				}
				menu.style.height = `${total_h}px`;
			}, 20);
			let timeout = setTimeout(()=>{
				clearInterval(interval);
				clearTimeout(timeout);
			}, 400);
		}
	}

	// Check Marking
	function clickEvent(menu_wrapper){
		var menu 		= menu_wrapper.querySelector("input[data-type='menu']");
		var allMenu 	= menu_wrapper.querySelectorAll("input[type='checkbox']");
		var submenu 	= menu_wrapper.querySelectorAll("input[data-type='submenu']");
		var actionmenu = menu_wrapper.querySelectorAll("input[data-type='actionmenu']");

		// Checking Activities Of Menus
		menu.addEventListener('click', ()=>{
			if(allMenu){
				Object.values(allMenu).forEach((tag)=>{
					if(menu.checked)
						tag.checked=true;
					else
						tag.checked=false;
				});
			}
			setPrivilege();
		});

		// Checking Activities Of Sub-Menus
		if(submenu){
			Object.values(submenu).forEach((tag)=>{
				tag.addEventListener('click', ()=>{
					var parentSubMenu = tag.closest('.sub-menu');
					var innerActionMenus = parentSubMenu.querySelectorAll("input[data-type='actionmenu']");
					if(innerActionMenus){
						Object.values(innerActionMenus).forEach((submenu)=>{
							if(tag.checked)
								submenu.checked=true;
							else submenu.checked=false;
						});
					}
					menuWatch();
					setPrivilege();
				});
			});
		}

		// Checking Activities Of Action-Menu
		if(actionmenu){
			Object.values(actionmenu).forEach((tag)=>{
				tag.addEventListener('click', ()=>{
					var perent  = tag.closest('.sub-menu');
					var submenu = perent.querySelector("input[data-type='submenu']");
					var acMenus = perent.querySelectorAll("input[data-type='actionmenu']");
					    submenu.checked = false;
					if(acMenus){
						Object.values(acMenus).forEach((tag)=>{
							if(tag.checked) submenu.checked = true;
						});
					}
					menuWatch();
					setPrivilege();
				});
			});
		}

		// Watching Menu Activity
		function menuWatch(){
			menu.checked=false;
			if(allMenu){
				Object.values(allMenu).forEach((tag)=>{
					if(tag.dataset.type !='menu'){
						if(tag.checked) menu.checked = true;
					}
				});
			}
		}
	}

	// Menu Search
	var search_field = x('#search_field');
	if(search_field){
		search_field.addEventListener('input', ()=>{
			filter();
		});
	}
	function filter(){
		if(menu){
			Object.values(menu).forEach((tag)=>{
				if((tag.innerText.toLocaleLowerCase()).indexOf(search_field.value.toLocaleLowerCase()) > -1 || search_field.value==''){
					tag.classList.remove('menu_hide');
				}else{
					tag.classList.add('menu_hide');						
				}
			});
		}
	}

	// selectpicker
	$('#type').selectpicker();
	$('#users').selectpicker();

	var type  = x('#type');
	var users = x('#users');

	type.addEventListener('change', ()=>{
		search_field.value=''
		menuIs('hide');
		filter();
		var items = `<option value="" selected disabled>--Select A User--</option>`;
		var data  = {
			table : 'admins',
			object: 'read',
			where : {
				trash : 0,
			}
		}
		if(type.value!='all') data.where.type = type.value;

		// HTTP REQUEST
		axios.post(url+'api/ajax', data)
		.then(response=>{
			if((response.data).length > 0){
				Object.values(response.data).forEach((item)=>{
					items += `<option value="${item.id}">${item.name}-(${item.type})</option>`;
				});
			}
			if(users) users.innerHTML = items;
			$('#users').selectpicker('refresh');

		})
		.catch(err=>console.log(err));
	});

	users.addEventListener('change', ()=>{
		if(users){
			// HTTP REQUEST
			axios.post(url+'api/admin/get-privilege', {admin_id : users.value})
			.then(response=>{
				if(response.data.info){
					var data = response.data.info;
					var user_info = x('#user_info');
					var html =`
						<div class="profile-img">
							<img src="${data.img ? url+data.img : url+'public/backend/images/avatars/user.png'}">
						</div>
						<div class="info">
							<h4>${data.name}</h4>
							<p>#${data.username}</p>
							<p>${data.mobile}</p>
							<p>${data.type}</p>
						</div>
					`;
					user_info.innerHTML = html;
					menuIs('show');
					checkedPrivilegeMenu(response.data.privilege);
				}
				else{
					menuIs('hide');
				}
			})
			.catch(err=>console.log(err));
		}

	});

	function menuIs(niddle='hide'){
		var not_found 	 = xa('.nothing-found');
		var menu_wrapper = x('#menu_wrapper');
		var user_info 	 = x('#user_info');

		if(not_found) Object.values(not_found).forEach((tag)=>{
			if(niddle=='hide') tag.classList.remove('d-none');
			else tag.classList.add('d-none');			
		});

		if(niddle=='hide'){
			menu_wrapper.classList.add('d-none');
			user_info.classList.add('d-none');
		}else{
			menu_wrapper.classList.remove('d-none');
			user_info.classList.remove('d-none');
		}
	}
	menuIs('hide');

	function setPrivilege(){
		var checked_menus 		 = [];
		var checked_sub_menus 	 = [];
		var checked_action_menus = [];
		var data 				 = {};

		var menu 		= xa("input[data-type='menu']");
		var submenu 	= xa("input[data-type='submenu']");
		var actionmenu  = xa("input[data-type='actionmenu']");

		if(menu)
			Object.values(menu).forEach((tag)=>{
				if(tag.checked){
					checked_menus.push(tag.value)
				}
			});
		if(submenu)
			Object.values(submenu).forEach((tag)=>{
				if(tag.checked){
					checked_sub_menus.push(tag.value)
				}
			});
		if(actionmenu)
			Object.values(actionmenu).forEach((tag)=>{
				if(tag.checked){
					checked_action_menus.push(tag.value)
				}
			});
		data.menu 			= checked_menus;
		data.sub_menu 		= checked_sub_menus;
		data.action_menu 	= checked_action_menus;
		data.admin_id 		= users.value;
		axios.post(url+'api/admin/set-privilege', data)
			.then(response=>{
				if(response.data){
					msg.success('Your Privilege Successfully Saved..');
				}
			})
			.catch(err=>console.log(err));
	}

	function checkedPrivilegeMenu(privilege){
		
		var menu_is 	    = (privilege.menu ? JSON.parse(privilege.menu) : []);
		var sub_menu_is 	= (privilege.sub_menu ? JSON.parse(privilege.sub_menu) : []);
		var action_menu_is 	= (privilege.action_menu ? JSON.parse(privilege.action_menu) : []);

		var menu 		= xa("input[data-type='menu']");
		var submenu 	= xa("input[data-type='submenu']");
		var actionmenu  = xa("input[data-type='actionmenu']");

		if(menu)
			Object.values(menu).forEach((tag)=>{
				tag.checked = false;
				if(menu_is.indexOf(tag.value)>-1)
					tag.checked = true;
			});
		if(submenu)
			Object.values(submenu).forEach((tag)=>{
				tag.checked = false;
				if(sub_menu_is.indexOf(tag.value)>-1)
					tag.checked = true;
			});
		if(actionmenu)
			Object.values(actionmenu).forEach((tag)=>{
				tag.checked = false;
				if(action_menu_is.indexOf(tag.value)>-1)
					tag.checked = true;
			});
	}
})()