<!DOCTYPE html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>@yield('title', 'N/A') | {{setting()->app_name}}</title>
        <link rel="icon" href="{{asset(setting()->fav_icon_path)}}">
        <!-- All Css File And Tag -->
        @include('backend.partials.header_scripts')
        <!--Style-->
        @yield('style')
    </head>
    <body>
        <div id="app">
            <store
                url="{{url('')}}"
                user_id="{{Auth::guard('admin')->user()->id}}"
            ></store>
            <section class="wrapper" data-menu="dashboard">
                    <!-- aside content start -->
                    @include('backend.partials.aside')
                    <!-- right bar -->
                    @include('backend.partials.right_bar')
                    <!-- body section start -->
                    <div class="column body">
                        <!-- body nav start -->
                        @include('backend.partials.nav')
                        <!-- body container start -->
                        <div class="body-container body-content">
                            @yield('content')
                        </div>
                        <!-- body container end -->
                    </div>
                    <!-- body section end -->
            </section>
            <div class="wrapper-background"></div>
        </div>
        <!-- Javascripts Fils and Modules -->
        @include('backend.partials.footer_scripts')
        <!-- App -->
        <script src="{{asset('public/js/backend/app.js')}}"></script>
        <!-- All Type Flash Message -->
        @include('backend.partials.message')
        <!-- Custome page scripts -->
        @yield('scripts')
    </body>
</html>
