@extends('backend.layouts.app')
@section('title', 'Admin Profile')

@section('content')
@php($user=Auth::guard('admin')->user())


<edit-profile 
	user="{{ $user }}"
></edit-profile>

@endsection

@section('scripts')
<script>
	
</script>
@endsection


@section('style')
<style>
.profile {
    width: 100%;
    position: relative;
}
.profile .bar {
    width: 100%;
    background: var(--foreground);
    min-height: 75px;
}
.profile .user-info {
    position: relative;
    width: 100%;
    text-align: center;
    padding-top: 64px;
    box-sizing: border-box;
}
.user-picture {
    width: 120px;
    height: 120px;
    border-radius: 50%;
    overflow: hidden;
    position: absolute;
    top: -36%;
    left: 50%;
    transform: translateX(-50%);
    border: 4px solid var( --foreground);
    cursor: pointer;
}
.profile .user-info h2 {
    font-size: 20px;
    font-weight: 600;
}
.profile .user-info p {
    font-size: 14px;
}
.action-icon {
    display: inline-flex;
    margin-top: 4px;
}
.profile .user-info .icon-key, .icon-camera {
    display: block;
    border: 1px solid #ddd;
    color: #929191;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    font-size: 15px;
    line-height: 35px;
    margin: auto;
    margin-top: 5px;
    user-select: none;
    cursor: pointer;
    transition: all .3s linear;
}
.icon-key i{
    transform: rotate(135deg);
}
.icon-camera{
	margin-left: 5px;
}
.icon-key:hover, .icon-camera:hover {
    background: #f8f9fa;
    box-shadow: 0px 0px 10px 1px #ddd;
}

.user-picture img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}
.profile-body {
	width: 100%;
	min-height: 80vh;
	background: #fff;
}

.change-profile-pic .user-picture {
    position: initial;
    transform: initial;
    margin: auto;
    cursor: default;
}
.change-profile-pic .choose-profile-pic {
	position: relative;
}
.change-profile-pic .choose-profile-pic input[type=file]{
	position: absolute;
	top: 0;
	left: 0;	
	width: 100%;
	height: 100%;
	opacity: 0;
	cursor: pointer;
}
.change-info-box {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #0000005e;
    display: none;
}
.change-password, .change-profile-pic {
	position: absolute;
	top: 50%;
    left: 50%;
    width: 330px;
    height: 380px;
    border-radius: 5px;
    padding: 30px;
    background: #fff;
    transform: translate(-50%, -50%);
    display: none;
}
.change-password h2, .change-profile-pic h2 {
    font-size: 21px;
    font-weight: 700;
    text-align: center;
    padding: 8px;
    padding-bottom: 16px;
    border-bottom: 1px solid #ddd;
    margin-bottom: 16px;
}
.close-panel {
    position: absolute;
    top: -9px;
    right: -10px;
    border: 1px solid #ddd;
    width: 30px;
    height: 30px;
    text-align: center;
    border-radius: 50%;
    font-size: 19px;
    line-height: 26px;
    padding-left: 2px;
    font-weight: 700;
    background: #fff;
    user-select: none;
    cursor: pointer;
}
.password_, .profile_ {
	display: block;
}
.password_ .change-password {
	display: block;
}
.password_ .change-profile-pic {
	display: none;
}
.profile_ .change-password {
	display: none;
}
.profile_ .change-profile-pic {
	display: block;
}
.change-info-box .waring_ {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 14px;
    height: 67px;
    text-align: center;
}
@media screen and (max-width: 576px){
	.change-info-box {
		position: fixed;
		z-index: 9999;
		width: 100%;
		height: 100vh;
	}
	.profile .min60vh{
		min-height: 158px;
	}
}

</style>
@endsection