@extends('backend.layouts.app')
@section('title', 'Trash List')

@section('content')
<div class="card">
	<div class="card-header">
		<h6 class="float-left">Trash List (<small>Action-Menu</small>)</h6>
		<div class="float-right">
			<a href="{{route('dev.action_menu')}}">Action-Menu List</a>
		</div>
	</div>
	<div class="card-body">
		@if(!$action_menus->isEmpty())
		<div class="table-responsive">
			<table class="table table-bordered list-table">
				<thead class="list-header">
					<tr>
						<th width="60">SL</th>
						<th width="60">Icon</th>
						<th>Name(En)</th>
						<th>Name(Bn)</th>
						<th>Menu</th>
						<th>Route Name</th>
						<th>URL</th>
						<th width="60">Action</th>
					</tr>
				</thead>
				<tbody>
						@foreach($action_menus as $key=>$value)
						<tr>
							<td>{{++$key}}</td>
							<td><span><i class="{{$value->icon}}"></i></span></td>
							<td>{{$value->name_en}}</td>
							<td>{{$value->name_bn}}</td>
							<td>{{$value->getMenu->name_en ?? 'N/A'}}</td>
							<td>{{$value->route_name ?? "N/A"}}</td>
							<td>{{$value->url ?? "N/A"}}</td>
							<td>
								<div class="btn-group">
									<a href="{{route('dev.action_menu.back', $value->id)}}" class="btn btn-sml btn-success confirmation" data-title="Are You Sure Restore This Action-Menu ?"><i class="fa fa-history"></i></a>
									<a href="{{route('dev.action_menu.delete', $value->id)}}" class="btn btn-sml btn-danger confirmation" data-title="Are You Sure Want to Permanently Delete ?"><i class="fa fa-trash-o"></i></a>
								</div>
							</td>
						</tr>
						@endforeach
				</tbody>
			</table>
		</div>
		@else
		<div class="nothing-found">
			<div>
				<h1 title="Nothing Here...">¯\_(ツ)_/¯</h1>
				<h5>Nothing Here</h5>
			</div>
		</div>
		@endif
	</div>
</div>
@endsection