@extends('backend.layouts.app')
@section('title', 'Add/All Menu')
@section('style')
<link rel="stylesheet" href="{{asset('public/backend/css/menuSort.css')}}">
@endsection
@section('content')
<div class="card">
	<div class="card-header">
		<h4 class="float-left">All Menus</h4>
		<div class="float-right">
			<a href="{{route('dev.menu.trash_list')}}">Trash List</a>
		</div>
	</div>
	<div class="card-body min70vh">
		<div class="menu-wrapper col-md-7 p-0">
			@if(!empty($menus)) @foreach($menus as $key=>$menu)
			<div class="menu {{!$menu->submenu->isEmpty()?'has':''}}" data-id="{{$menu->id}}">
				<h6 class="title">
					<span class="icon"><i class="{{$menu->icon}}"></i></span>
					{{$menu->name_en}}
				</h6>
				@if(!$menu->submenu->isEmpty())
				<div class="sub-menu-wrapper">
					@foreach($menu->submenu as $submenu)
					<div class="sub-menu {{!$submenu->actionmenu->isEmpty()?'has':''}}" data-id="{{$submenu->id}}">
						<h6 class="title">{{$submenu->name_en}}</h6>
						@if(!$submenu->actionmenu->isEmpty())
						<div class="action-menu-wrapper">
							@foreach($submenu->actionmenu as $actionmenu)
							<div class="action-menu" data-id="{{$actionmenu->id}}">
								<h6 class="title">{{$actionmenu->name_en}}</h6>
							</div>
							@endforeach
						</div>
						@endif						
					</div>
					@endforeach
				</div>
				@endif
			</div>
			@endforeach @endif
		</div>
	</div>
	<div class="card-footer">&nbsp;</div>
</div>
@endsection




@section('scripts')
<script src="{{asset('public/backend/js/menuSort.js')}}"></script>
@endsection