@extends('backend.layouts.app')
@section('title', 'Trash List')

@section('content')
<div class="card">
	<div class="card-header">
		<h6 class="float-left">Trash List (<small>Sub-Menu</small>)</h6>
		<div class="float-right">
			<a href="{{route('dev.sub_menu')}}">Sub-Menu List</a>
		</div>
	</div>
	<div class="card-body">
		@if(!$sub_menus->isEmpty())
		<div class="table-responsive">
			<table class="table table-bordered list-table">
				<thead class="list-header">
					<tr>
						<th width="60">SL</th>
						<th width="60">Icon</th>
						<th>Name(En)</th>
						<th>Name(Bn)</th>
						<th>Menu</th>
						<th>Route Name</th>
						<th>URL</th>
						<th width="150">Action</th>
					</tr>
				</thead>
				<tbody>
						@foreach($sub_menus as $key=>$value)
						<tr>
							<td>{{++$key}}</td>
							<td><span><i class="{{$value->icon}}"></i></span></td>
							<td>{{$value->name_en}}</td>
							<td>{{$value->name_bn}}</td>
							<td>{{$value->getMenu->name_en ?? 'N/A'}}</td>
							<td>{{$value->route_name ?? "N/A"}}</td>
							<td>{{$value->url ?? "N/A"}}</td>
							<td class="table-action" width="70">
								<a href="{{route('dev.sub_menu.back', $value->id)}}" class="confirmation" data-title="Are You Sure Restore This Sub-Menu ?">
								    <i class="ion ion-md-refresh io-18"></i>
								</a>
								<a href="{{route('dev.sub_menu.delete', $value->id)}}" class="confirmation" data-title="Are You Sure Want to Permanently Delete ?">
								    <i class="icon ion-ios-trash io-18"></i>
								</a>
							</td>
						</tr>
						@endforeach
				</tbody>
			</table>
		</div>
		@else
		<div class="nothing-found">
			<div>
				<h1 title="Nothing Here...">¯\_(ツ)_/¯</h1>
				<h5>Nothing Here</h5>
			</div>
		</div>
		@endif
	</div>
</div>
@endsection