@extends('backend.layouts.app')
@section('title', 'All Member')

@section('content')
<div class="card">
    <div class="card-header">
        <h4 class="float-left mt-2">All Members</h4>
    </div>
    <div class="card-body min75vh">
        <form action="" method="POST">
            @csrf
            <div class="row">
                <div class="col-md-2 form-group">
                    <input type="text" name="search[name]" class="form-control" value="{{Request()->search['name']??''}}" placeholder="Member Name (En)">
                </div>
                <div class="col-md-2 form-group">
                    <input type="text" name="search[mobile]" class="form-control" value="{{Request()->search['mobile']??''}}" placeholder="Member Mobile">
                </div>
                <div class="col-md-2 form-group">
                    <input type="text" name="search[email]" class="form-control" value="{{Request()->search['email']??''}}" placeholder="Member E-mail">
                </div>
                <div class="col-md-2 form-group">
                    <input type="submit" class="btn btn-primary" value="Filter">
                </div>
            </div>
        </form>

        @if(!empty($members) && !$members->isEmpty())
        <div class="table-responsive">
            <table class="table table-bordered list-table">
                <thead class="list-header">
                    <tr>
                        <th width="40" class="text-center">SL</th>
                        <th>Applicant Name</th>
                        <th>Mobile</th>
                        <th>E-mail</th>
                        <th>Status</th>
                        <th>NID / Passport No</th>
                        <th width="40">Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($members as $key=>$row)
                    <tr>
                        <td class="text-center">{{++$key}}</td>
                        <td>{{$row->name_en}}</td>
                        <td>{{$row->mobile}}</td>
                        <td>{{$row->email}}</td>
                        <td>{{$row->nid_passport}}</td>
                        <td>{{ucfirst($row->status)}}</td>
                        <td class="text-center">
                            <div class="btn-group">
                                <a href="{{route('admin.member.edit', $row->id)}}" class="btn btn-sml btn-primary" title="Profile">
                                    <i class="fa fa-pencil-square-o"></i>
                                </a>
                                <a href="{{route('admin.member.profile', $row->id)}}" class="btn btn-sml btn-success" title="Profile">
                                    <i class="fa fa-eye"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        @else
        <div class="nothing-found">
            <div>
                <h1 title="Nothing Here...">¯\_(ツ)_/¯</h1>
                <h5>Nothing Here</h5>
            </div>
        </div>
        @endif
    </div>
    <div class="card-footer">&nbsp;</div>
</div>
@endsection