@extends('backend.layouts.app')
@section('title', 'Member Profile')

@section('content')
<section class="signup-section">
    <div class="form-section">
        <form method="POST" action="{{route('admin.member.update', $member->id)}}" enctype="multipart/form-data">
            @csrf
            <div class="card">
                <div class="card-title">
                    1. Personal Information
                </div>

                <div class="card-body">
                    <div class="row">
                        <div class="col">
                            <div class="form-group row">
                                <label for="nameEn" class="col-md-4 col-form-label">
                                    Name of the Applicant (In block Letter):
                                </label>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" id="nameEn" name="name_en" value="{{$member->name_en}}" placeholder="" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="nameBn" class="col-md-2 col-form-label">
                                    বাংলায়:
                                </label>
                                <div class="col-md-10">
                                    <input type="text" class="form-control" id="nameBn" name="name_bn" value="{{$member->name_bn}}" placeholder="" required>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="fatherName" class="col-md-4 col-form-label">
                                    Father's Name:
                                </label>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" id="fatherName" name="father_name" value="{{$member->father_name}}" placeholder="" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="fatherName" class="col-md-4 col-form-label">
                                    Mother's Name:
                                </label>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" id="motherName" name="mother_name" value="{{$member->mother_name}}" placeholder="" required>
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="fatherName" class="col-md-4 col-form-label">
                                    Spouse Name:
                                </label>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" id="fatherName" name="spouse_name" value="{{$member->spouse_name}}" placeholder="" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="fatherName" class="col-md-4 col-form-label">
                                    Number of children:
                                </label>
                                <div class="col-md-8">
                                    <div class="d-flex justify-content-center align-items-center">
                                        <label for="Son" class="col-form-label pr-2">Son</label>
                                        <input type="number" class="form-control mr-3" id="Son" name="son" value="{{$member->son}}" required>

                                        <label for="Daughter" class="col-form-label pr-2">Daughter</label>
                                        <input type="number" class="form-control" id="Daughter" name="daughter" value="{{$member->daughter}}" required>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>



	                <div class="row pb-4">
	                    <label for="childrenName" class="col-md-12 col-form-label">
	                        Children's Name:
	                    </label>
	                    @php
	                    	$childrens = json_decode($member->children, true);
	                    @endphp

	                    @if($childrens && is_array($childrens)) @foreach($childrens as $key=>$row) @php $row=(Object)$row @endphp
	                    <div class="col-md-6 mb-2">
	                        <div class="row d-flex justify-content-center align-items-center">
	                            <div class="col-md-1">
	                                {{++$key}})
	                            </div>
	                            <div class="col-md-6">
	                                <input type="text" class="form-control" value="{{$row->name}}" readonly>
	                            </div>
	                            <div class="col-md-2 text-right">
	                                Age
	                            </div>
	                            <div class="col-md-3">
	                                <input type="text" class="form-control" value="{{$row->age}}" readonly>
	                            </div>
	                        </div>
	                    </div>
	                    @endforeach @endif
	                </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label" for="birthday">
                                    Date of Birth:
                                </label>
                                <div class="col-md-8">
                                    <input type="date" class="form-control" name="birthday" value="{{$member->birthday}}" placeholder="DD/MM/YYYY" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label" for="passport">NID / Passport No.:</label>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" name="nid_passport" value="{{$member->nid_passport}}" placeholder="" required>
                                </div>
                            </div>
                        </div>
                    </div>

                    <fieldset class="form-group">
                        <div class="row">
                            <legend class="col-form-label col-sm-2 pt-0">Gender:</legend>
                            <div class="col-sm-10">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="gender" value="{{$member->gender}}" id="male" value="male" checked required>
                                    <label class="form-check-label" for="male">
                                        Male
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="gender" value="{{$member->gender}}" id="female" value="female" required>
                                    <label class="form-check-label" for="female">
                                        Female
                                    </label>
                                </div>
                            </div>
                        </div>
                    </fieldset>


                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label">Blood Group:</label>
                                <div class="col-md-8">
                                    <input type="text" name="blood_group" value="{{$member->blood_group}}" class="form-control" required>
                                </div>
                            </div>

                        </div>
                        <div class="col-md-4">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label">Religion:</label>
                                <div class="col-md-8">
                                    <input type="text" name="religion" value="{{$member->religion}}" class="form-control" required>
                                </div>
                            </div>

                        </div>
                        <div class="col-md-4">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label">Nationality:</label>
                                <div class="col-md-8">
                                    <input type="text" name="nationalily" value="{{$member->nationalily}}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="card">
                <div class="card-title">
                    2. Address
                </div>
                <div class="card-body">

                    <div class="form-subsection">
                        <div class="title">
                            Mailing Address
                        </div>
                        <div class="form-group row">
                            <label for="presentAddress" class="col-md-3 col-form-label">
                                a) Present Address:
                            </label>
                            <div class="col-md-9">
                                <input type="text" name="present_address" value="{{$member->present_address}}" class="form-control" required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-md-3 col-form-label">
                                b) Permanent Address:
                            </label>
                            <div class="col-md-9">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label for="village" class="col-md-4 col-form-label">
                                                Village:
                                            </label>
                                            <div class="col-md-8">
                                                <input type="text" name="village" value="{{$member->village}}" class="form-control" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label for="postOffice" class="col-md-4 col-form-label">
                                                Post Office:
                                            </label>
                                            <div class="col-md-8">
                                                <input type="text" name="post_office"  value="{{$member->post_office}}"class="form-control" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label for="thana" class="col-md-4 col-form-label">
                                                Thana:
                                            </label>
                                            <div class="col-md-8">
                                                <input type="text" name="thana" value="{{$member->thana}}" class="form-control" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label for="district" class="col-md-4 col-form-label">
                                                District:
                                            </label>
                                            <div class="col-md-8">
                                                <input type="text" name="district" value="{{$member->district}}" class="form-control" required>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="occupation" class="col-md-3 col-form-label">
                                c) Occupation:
                            </label>
                            <div class="col-md-9">
                                <input type="text" name="occupation" value="{{$member->occupation}}" class="form-control" required>
                            </div>
                        </div>
                    </div>




                    <div class="form-group row">
                        <label for="organization" class="col-md-3 col-form-label">
                            Name of Organization:
                        </label>
                        <div class="col-md-9">
                            <input type="text" name="organization" value="{{$member->organization}}" class="form-control" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="designation" class="col-md-3 col-form-label">
                            Designation:
                        </label>
                        <div class="col-md-9">
                            <input type="text" name="designation" value="{{$member->designation}}" class="form-control" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="department" class="col-md-3 col-form-label">
                            Department:
                        </label>
                        <div class="col-md-9">
                            <input type="text" name="department" value="{{$member->department}}" class="form-control" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="officeAddress" class="col-md-3 col-form-label">
                            Office Address:
                        </label>
                        <div class="col-md-9">
                            <input type="text" name="office_address" value="{{$member->office_address}}" class="form-control" required>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label" for="tel">Tel.:</label>
                                <div class="col-md-8">
                                    <input type="text" name="tel" value="{{$member->tel}}" class="form-control" required>
                                </div>
                            </div>

                        </div>
                        <div class="col-md-4">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label" for="mobile">Mobile:</label>
                                <div class="col-md-8">
                                    <input type="text" name="mobile" value="{{$member->mobile}}" class="form-control" required>
                                </div>
                            </div>

                        </div>
                        <div class="col-md-4">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label" for="email">Email:</label>
                                <div class="col-md-8">
                                    <input type="email" name="email" value="{{$member->email}}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="card">
                <div class="card-title">3. Membarship Applied for:</div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="membarship_applied_for" {{$member->membarship_applied_for=="general" ? "checked" : ""}} id="general" value="general" checked required>
                                <label class="form-check-label" for="general">General</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="membarship_applied_for" {{$member->membarship_applied_for=="life" ? "checked" : ""}} id="life" value="life" required>
                                <label class="form-check-label" for="life">Life</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="membarship_applied_for" {{$member->membarship_applied_for=="associate" ? "checked" : ""}} id="associate" value="associate" required>
                                <label class="form-check-label" for="associate">Associate</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="membarship_applied_for" {{$member->membarship_applied_for=="others" ? "checked" : ""}} id="others" value="others" required>
                                <label class="form-check-label" for="others">others</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-title">
                    4. Academic Summary:
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label"
                                    for="department">Department:</label>
                                <div class="col-md-8">
                                    <input type="text" name="academic_department" value="{{$member->academic_department}}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label" for="session">Session:</label>
                                <div class="col-md-8">
                                    <input type="text" name="academic_session" value="{{$member->academic_session}}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group row">
                                <label class="col-md-6 col-form-label" for="passingYear">
                                    Passing Year:
                                </label>
                                <div class="col-md-6">
                                    <input type="text" name="academic_passing_year" value="{{$member->academic_passing_year}}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-8">
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="otherDegree">
                                    Other Degree:
                                </label>
                                <div class="col-md-9">
                                    <input type="text" name="academic_other_degree" value="{{$member->academic_other_degree}}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="idNo">
                                    ID No:
                                </label>
                                <div class="col-md-9">
                                    <input type="text" name="id_no" value="{{$member->id_no}}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="card">
                <div class="card-title">5. Membership Fees:</div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label" for="amount">
                                    Amount:</label>
                                <div class="col-md-8">
                                    <input type="text" name="membership_fee_amount" value="{{$member->membership_fee_amount}}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="date">
                                    Date:
                                </label>
                                <div class="col-md-9">
                                    <input type="date" name="membership_fee_date" value="{{$member->membership_fee_date}}" class="form-control" placeholder="DD/MM/YYYY" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label class="col-md-5 col-form-label" for="mrn">
                                    Money Recept Number:
                                </label>
                                <div class="col-md-7">
                                    <input type="text" name="membership_mone_recept_no" value="{{$member->membership_mone_recept_no}}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-title">
                    6. Declaration:
                </div>
                <div class="card-body">
                    <p class="declaration">
                        I have declare that the information have been provided by me and the documents
                        enclosed are complete and corrent. if enrolled, I shall confirm to the
                        constitution, by-laws, rules and regulations of the association.</p>
                </div>
            </div>
            <div class="card">
                <div class="card-title">7. Enclosed:</div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="checkbox" name="enclosed_national_id" {{$member->enclosed_national_id=="yes" ? "checked" : ""}} id="nationalId" value="yes" required>
                                        <label class="form-check-label" for="nationalId">Photocopy of National ID</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="checkbox" name="enclosed_photograph" {{$member->enclosed_photograph=="yes" ? "checked" : ""}} id="photograph" value="yes" required>
                                        <label class="form-check-label" for="photograph">Photograph (2 Copy)</label>
                                    </div>
                                </div>
                                <div class="col-md-6">

                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="checkbox" name="enclosed_diploma_certificate" {{$member->enclosed_diploma_certificate=="yes" ? "checked" : ""}} id="diplomaCert" value="yes" required>
                                        <label class="form-check-label" for="diplomaCert">Photocopy of diploma pass certificate</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="checkbox" name="enclosed_visiting_card" {{$member->enclosed_visiting_card=="yes" ? "checked" : ""}} id="visitingCard" value="yes">
                                        <label class="form-check-label" for="visitingCard">
                                            Visiting Card (if any)
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group row">
                                <label class="col-md-4 col-form-label" for="date">Date:</label>
                                <div class="col-md-8">
                                    <input type="date" name="enclosed_date" value="{{$member->enclosed_date}}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <div class="card">
                <div class="card-title">8. Office Use</div>
                <div class="card-body">
                    <div class="row">

                        <div class="col-md-6">
                            <div class="col">
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" name="enclosed_documents[]" id="documents" multiple="true">
                                    <label class="custom-file-label" for="documents">Choose file</label>
                                </div>
                                <Label class="col-form-label">
                                    Upload Your Documents
                                </Label>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="custom-file">
                                <input type="file" class="custom-file-input" id="customFile" name="signeture_of_application">
                                <label class="custom-file-label" for="customFile">Choose file</label>
                            </div>
                            <Label class="col-form-label">Signeture of the Application (Upload here)</Label>
                        </div>

                    </div>

		            <div class="btn-group float-right mb-3">
		            	<input type="submit" value="Update" class="btn btn-success">
		            </div>

                </div>
            </div>



            <div class="card">
                <div class="card-title">9. Documents & Signature</div>
                <div class="card-body">
                    <div style="display: flex; justify-content: space-between;">
                        <div class="row" style="width: 70%;">
                            @php
                                $documents = json_decode($member->enclosed_documents, true);
                            @endphp
                            @foreach($documents as $img)
                            <div class="col-md-4">
                                <img src="{{asset($img)}}" class="document-img">
                            </div>
                            @endforeach
                        </div>
                        <div>
                            <img src="{{asset($member->signeture_of_application)}}" style="width:200px;">
                            <br>
                           <span style="border-top: 1px solid #ddd; text-align: center; display: block;">Signature</span>
                        </div>
                    </div>
                </div>
            </div>

        </form>
    </div>
</section>
@endsection

@section('style')
<style>
    .document-img {
        border: 1px solid #ddd;
        height: 150px;
        object-fit: cover;
        margin: auto;
        padding: 2px;
    }
    .signup-section .card {
      margin-bottom: 20px;
    }

    .signup-section .card-title {
      background: #eee;
      padding: 10px;
      font-size: 20px;
      font-weight: 600;
    }

    .signup-title {
      margin-bottom: 10px;
      padding: 20px 0;
    }

    .form-subsection {
      background: #f3f3f3;
      padding: 5px 15px;
      margin-bottom: 20px;
      border-radius: 5px;
    }

    .form-subsection .title {
      padding: 5px 0;
      margin-bottom: 10px;
      border-bottom: 1px solid #dedede;
    }
</style>
@endsection