@extends('backend.layouts.app')
@section('title', 'Member Profile')

@section('content')
<section class="signup-section">
    <div class="form-section">
        <div class="card">
            <div class="card-title">
                1. Personal Information
            </div>

            <div class="card-body">
                <div class="row">
                    <div class="col">
                        <div class="form-group row">
                            <label for="nameEn" class="col-md-4 col-form-label">
                                Name of the Applicant (In block Letter):
                            </label>
                            <div class="col-md-8">
                                <input type="text" class="form-control" id="nameEn" value="{{$member->name_en}}" readonly placeholder="">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="nameBn" class="col-md-2 col-form-label">
                                বাংলায়:
                            </label>
                            <div class="col-md-10">
                                <input type="text" class="form-control" id="nameBn" value="{{$member->name_bn}}" readonly placeholder="">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label for="fatherName" class="col-md-4 col-form-label">
                                Father's Name:
                            </label>
                            <div class="col-md-8">
                                <input type="text" class="form-control" id="fatherName" value="{{$member->father_name}}" readonly placeholder="">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label for="fatherName" class="col-md-4 col-form-label">
                                Mother's Name:
                            </label>
                            <div class="col-md-8">
                                <input type="text" class="form-control" id="motherName" value="{{$member->mother_name}}" readonly placeholder="">
                            </div>
                        </div>
                    </div>
                </div>


                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label for="fatherName" class="col-md-4 col-form-label">
                                Spouse Name:
                            </label>
                            <div class="col-md-8">
                                <input type="text" class="form-control" id="fatherName" value="{{$member->spouse_name}}" readonly placeholder="">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label for="fatherName" class="col-md-4 col-form-label">
                                Number of children:
                            </label>
                            <div class="col-md-8">
                                <div class="d-flex justify-content-center align-items-center">
                                    <label for="Son" class="col-form-label pr-2">Son</label>
                                    <input type="text" class="form-control mr-3" id="Son" value="{{$member->son}}" readonly>

                                    <label for="Daughter"
                                        class="col-form-label pr-2">Daughter</label>
                                    <input type="text" class="form-control" id="Daughter" value="{{$member->daughter}}" readonly>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row pb-4">
                    <label for="childrenName" class="col-md-12 col-form-label">
                        Children's Name:
                    </label>
                    @php
                    	$childrens = json_decode($member->children, true);
                    @endphp

                    @if($childrens && is_array($childrens)) @foreach($childrens as $key=>$row) @php $row=(Object)$row @endphp
                    <div class="col-md-6 mb-2">
                        <div class="row d-flex justify-content-center align-items-center">
                            <div class="col-md-1">
                                {{++$key}})
                            </div>
                            <div class="col-md-6">
                                <input type="text" class="form-control" value="{{$row->name}}" readonly>
                            </div>
                            <div class="col-md-2 text-right">
                                Age
                            </div>
                            <div class="col-md-3">
                                <input type="text" class="form-control" value="{{$row->age}}" readonly>
                            </div>
                        </div>
                    </div>
                    @endforeach @endif
                </div>

                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label" for="birthday">
                                Date of Birth:
                            </label>
                            <div class="col-md-8">
                                <input type="date" class="form-control" value="{{$member->birthday}}" readonly placeholder="DD/MM/YYYY">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label" for="passport">NID / Passport No.:</label>
                            <div class="col-md-8">
                                <input type="text" class="form-control" value="{{$member->nid_passport}}" readonly placeholder="">
                            </div>
                        </div>
                    </div>
                </div>

                <fieldset class="form-group">
                    <div class="row">
                        <legend class="col-form-label col-sm-2 pt-0">Gender:</legend>
                        <div class="col-sm-10">
                            <div class="form-check">
                                <input class="form-check-input" type="radio" value="{{$member->gender}}" readonly id="male" value="male" {{$member->gender=="male" ? "checked" : ""}} disabled>
                                <label class="form-check-label" for="male">
                                    Male
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="radio" value="{{$member->gender}}" readonly id="female" value="female" {{$member->gender=="female" ? "checked" : ""}} disabled>
                                <label class="form-check-label" for="female">
                                    Female
                                </label>
                            </div>
                        </div>
                    </div>
                </fieldset>


                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label">Blood Group:</label>
                            <div class="col-md-8">
                                <input type="text" value="{{$member->blood_group}}" readonly class="form-control">
                            </div>
                        </div>

                    </div>
                    <div class="col-md-4">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label">Religion:</label>
                            <div class="col-md-8">
                                <input type="text" value="{{$member->religion}}" readonly class="form-control">
                            </div>
                        </div>

                    </div>
                    <div class="col-md-4">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label">Nationality:</label>
                            <div class="col-md-8">
                                <input type="text" value="{{$member->nationalily}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-title">
                2. Address
            </div>
            <div class="card-body">

                <div class="form-subsection">
                    <div class="title">
                        Mailing Address
                    </div>
                    <div class="form-group row">
                        <label for="presentAddress" class="col-md-3 col-form-label">
                            a) Present Address:
                        </label>
                        <div class="col-md-9">
                            <input type="text" value="{{$member->present_address}}" readonly class="form-control">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 col-form-label">
                            b) Permanent Address:
                        </label>
                        <div class="col-md-9">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <label for="village" class="col-md-4 col-form-label">
                                            Village:
                                        </label>
                                        <div class="col-md-8">
                                            <input type="text" value="{{$member->village}}" readonly class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <label for="postOffice" class="col-md-4 col-form-label">
                                            Post Office:
                                        </label>
                                        <div class="col-md-8">
                                            <input type="text" value="{{$member->post_office}}" readonly
                                                class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <label for="thana" class="col-md-4 col-form-label">
                                            Thana:
                                        </label>
                                        <div class="col-md-8">
                                            <input type="text" value="{{$member->thana}}" readonly class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <label for="district" class="col-md-4 col-form-label">
                                            District:
                                        </label>
                                        <div class="col-md-8">
                                            <input type="text" value="{{$member->district}}" readonly class="form-control">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="occupation" class="col-md-3 col-form-label">
                            c) Occupation:
                        </label>
                        <div class="col-md-9">
                            <input type="text" value="{{$member->occupation}}" readonly class="form-control">
                        </div>
                    </div>
                </div>

                <div class="form-group row">
                    <label for="organization" class="col-md-3 col-form-label">
                        Name of Organization:
                    </label>
                    <div class="col-md-9">
                        <input type="text" value="{{$member->organization}}" readonly class="form-control">
                    </div>
                </div>
                <div class="form-group row">
                    <label for="designation" class="col-md-3 col-form-label">
                        Designation:
                    </label>
                    <div class="col-md-9">
                        <input type="text" value="{{$member->designation}}" readonly class="form-control">
                    </div>
                </div>
                <div class="form-group row">
                    <label for="department" class="col-md-3 col-form-label">
                        Department:
                    </label>
                    <div class="col-md-9">
                        <input type="text" value="{{$member->department}}" readonly class="form-control">
                    </div>
                </div>
                <div class="form-group row">
                    <label for="officeAddress" class="col-md-3 col-form-label">
                        Office Address:
                    </label>
                    <div class="col-md-9">
                        <input type="text" value="{{$member->office_address}}" readonly class="form-control">
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label" for="tel">Tel.:</label>
                            <div class="col-md-8">
                                <input type="text" value="{{$member->tel}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label" for="mobile">Mobile:</label>
                            <div class="col-md-8">
                                <input type="text" value="{{$member->mobile}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label" for="email">Email:</label>
                            <div class="col-md-8">
                                <input type="text" value="{{$member->email}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-title">3. Membarship Applied for:</div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" id="general" value="general" {{$member->membarship_applied_for=="general" ? "checked":""}} disabled readonly>
                            <label class="form-check-label" for="general">General</label>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" id="life" value="life" {{$member->membarship_applied_for=="life" ? "checked":""}} disabled readonly>
                            <label class="form-check-label" for="life">Life</label>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" id="associate" value="associate" {{$member->membarship_applied_for=="associate" ? "checked":""}} disabled readonly>
                            <label class="form-check-label" for="associate">Associate</label>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" id="others" value="others" {{$member->membarship_applied_for=="others" ? "checked":""}} disabled readonly>
                            <label class="form-check-label" for="others">others</label>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-title">
                4. Academic Summary:
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label"
                                for="department">Department:</label>
                            <div class="col-md-8">
                                <input type="text" value="{{$member->academic_department}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label" for="session">Session:</label>
                            <div class="col-md-8">
                                <input type="text" value="{{$member->academic_session}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group row">
                            <label class="col-md-6 col-form-label" for="passingYear">
                                Passing Year:
                            </label>
                            <div class="col-md-6">
                                <input type="text" value="{{$member->academic_passing_year}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-8">
                        <div class="form-group row">
                            <label class="col-md-3 col-form-label" for="otherDegree">
                                Other Degree:
                            </label>
                            <div class="col-md-9">
                                <input type="text" value="{{$member->academic_other_degree}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group row">
                            <label class="col-md-3 col-form-label" for="idNo">
                                ID No:
                            </label>
                            <div class="col-md-9">
                                <input type="text" value="{{$member->id_no}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-title">5. Registration Fees:</div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label" for="amount">
                                Amount:</label>
                            <div class="col-md-8">
                                <input type="text" value="{{$member->membership_fee_amount}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group row">
                            <label class="col-md-3 col-form-label" for="date">
                                Date:
                            </label>
                            <div class="col-md-9">
                                <input type="date" value="{{$member->membership_fee_date}}" readonly class="form-control"
                                    placeholder="DD/MM/YYYY">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group row">
                            <label class="col-md-5 col-form-label" for="mrn">
                                Money Recept Number:
                            </label>
                            <div class="col-md-7">
                                <input type="text" value="{{$member->membership_mone_recept_no}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-title">
                6. Declaration:
            </div>
            <div class="card-body">
                <p class="declaration">
                    I have declare that the information have been provided by me and the documents
                    enclosed are complete and corrent. if enrolled, I shall confirm to the
                    constitution, by-laws, rules and regulations of the association.</p>
            </div>
        </div>

        <div class="card">
            <div class="card-title">7. Enclosed:</div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-8">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="checkbox" {{$member->enclosed_national_id=="yes"?'checked':''}} readonly id="nationalId" value="yes" disabled>
                                    <label class="form-check-label" for="nationalId">Photocopy of National ID</label>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="checkbox" {{$member->enclosed_photograph=="yes"?'checked':''}} readonly id="photograph" value="yes" disabled>
                                    <label class="form-check-label" for="photograph">Photograph (2 Copy)</label>
                                </div>
                            </div>
                            <div class="col-md-6">

                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="checkbox" {{$member->enclosed_diploma_certificate=="yes"?'checked':''}} readonly id="diplomaCert" value="yes" disabled>
                                    <label class="form-check-label" for="diplomaCert">Photocopy of diploma pass certificate</label>
                                </div>
                            </div>
                            <div class="col-md-6">

                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="checkbox" {{$member->enclosed_visiting_card=="yes"?'checked':''}} readonly id="visitingCard" value="yes" disabled>
                                    <label class="form-check-label" for="visitingCard">
                                        Visiting Card (if any)
                                    </label>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group row">
                            <label class="col-md-4 col-form-label" for="date">Date:</label>
                            <div class="col-md-8">
                                <input type="date" value="{{$member->enclosed_date}}" readonly class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="card">
            <div class="card-title">8. Office Use</div>
            <div class="card-body">
                <form action="{{route('admin.member.status.update', $member->id)}}" method="POST">
                    @csrf
                    <div class="row">
                        <div class="col-md-4">

                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="status" id="pending" value="pending" {{$member->status=="pending" ? "checked" : ""}}>
                                <label class="form-check-label" for="pending">Pending</label>
                            </div>

                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="status" id="Accepted" value="accepted" {{$member->status=="accepted" ? "checked" : ""}}>
                                <label class="form-check-label" for="Accepted">Accepted</label>
                            </div>

                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="status" id="Rejected" value="rejected" {{$member->status=="rejected" ? "checked" : ""}}>
                                <label class="form-check-label" for="Rejected">Rejected</label>
                            </div>

                        </div>
                        <div class="col-md-6">
                            <input type="submit" value="Update" class="btn btn-success">
                        </div>
                    </div>
                </form>
            </div>
        </div>


        <div class="card">
            <div class="card-title">9. Documents & Signature</div>
            <div class="card-body">
                <div style="display: flex; justify-content: space-between;">
                    <div class="row" style="width: 70%;">
                        @php
                            $documents = json_decode($member->enclosed_documents, true);
                        @endphp
                        @if(!empty($documents)) @foreach($documents as $img)
                            <div class="col-md-4">
                                <img src="{{asset($img)}}" class="document-img">
                            </div>
                        @endforeach @endif
                        
                        @if($member->signeture_of_application)
                        <div class="col-md-4">
                            <img src="{{asset($member->signeture_of_application)}}" class="document-img">
                        </div>
                        @endif
                    </div>
                    
                    <div>
                        <img src="{{asset($member->certificate)}}" style="width:200px;">
                        <br>
                       <span style="border-top: 1px solid #ddd; text-align: center; display: block;">Signature</span>
                    </div>
                </div>
            </div>
        </div>


    </div>
</section>
@endsection

@section('style')
<style>
    .document-img {
        border: 1px solid #ddd;
        height: 150px;
        object-fit: cover;
        margin: auto;
        padding: 2px;
    }
    .signup-section .card {
      margin-bottom: 20px;
    }

    .signup-section .card-title {
      background: #eee;
      padding: 10px;
      font-size: 20px;
      font-weight: 600;
    }

    .signup-title {
      margin-bottom: 10px;
      padding: 20px 0;
    }

    .form-subsection {
      background: #f3f3f3;
      padding: 5px 15px;
      margin-bottom: 20px;
      border-radius: 5px;
    }

    .form-subsection .title {
      padding: 5px 0;
      margin-bottom: 10px;
      border-bottom: 1px solid #dedede;
    }
</style>
@endsection