@extends('backend.layouts.app')
@section('title', 'All Notice')

@section('content')
<div class="card">
    <div class="card-header">
        <h4 class="float-left mt-2">All Notice</h4>
    </div>
    <div class="card-body min75vh">
        @if(!empty($newsletters) && !$newsletters->isEmpty())
        <div class="table-responsive">
            <table class="table table-bordered list-table">
                <thead class="list-header">
                    <tr>
                        <th width="40" class="text-center">SL</th>
                        <th>Title</th>
                        <th>Description</th>
                        <th width="100">Photo</th>
                        <th width="40">Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($newsletters as $key=>$row)
                    <tr>
                        <td class="text-center">{{++$key}}</td>
                        <td>{{$row->title}}</td>
                        <td>{!! strip_tags($row->description) !!}</td>
                        <td><img src="{{asset($row->cover_photo!='' ? $row->cover_photo : 'public/backend/images/avatars/user.png')}}" style="height: 80px; object-fit: cover;"></td>
                        <td class="text-center">
                            <div class="btn-group">
                                <a href="{{route('admin.newsletter.edit', $row->id)}}" class="btn btn-sml btn-primary" title="Edit">
                                    <i class="fa fa-pencil-square-o"></i>
                                </a>
                                <a href="{{route('admin.newsletter.view', $row->id)}}" class="btn btn-sml btn-success" title="Profile">
                                    <i class="fa fa-eye"></i>
                                </a>
                                <a href="{{route('admin.newsletter.destroy', $row->id)}}" class="btn btn-sml btn-danger confirmation" title="delete">
                                    <i class="fa fa-trash-o"></i>
                                </a>
                            </div>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        @else
        <div class="nothing-found">
            <div>
                <h1 title="Nothing Here...">¯\_(ツ)_/¯</h1>
                <h5>Nothing Here</h5>
            </div>
        </div>
        @endif
    </div>
    <div class="card-footer">&nbsp;</div>
</div>
@endsection