@extends('backend.layouts.app')
@section('title', 'Edit Notice')

@section('content')
<div class="card">
    <div class="card-header">
        <h4 class="float-left mt-2">Edit Notice</h4>
    </div>
    <div class="card-body min75vh">

    	<form action="{{route('admin.newsletter.update', $newsletter->id)}}" method="POST" enctype="multipart/form-data">
    		@csrf
	    	<div class="row">
	    		<div class="col-md-12">
	    			<div class="form-group">
	    				<label>Title</label>
	    				<input type="text" name="title" value="{{$newsletter->title}}" class="form-control" placeholder="Enter Title" required>
	    			</div>
	    		</div>

	    		<div class="col-md-12">
	    			<div class="form-group">
	    				<label>Descriptions</label>
	    				<div>
	    					<textarea name="description"  class="form-control" rows="8">{!!$newsletter->description!!}</textarea>
	    				</div>
	    			</div>
	    		</div>

	    		<div class="col-md-12">
	    			<div class="form-group">
	    				<label>Cover Photo</label>
	    				<input type="file" name="cover_photo" class="form-control p-1">
	    			</div>
	    		</div>

	    		<div class="col-md-12 text-right">
	    			<div class="btn-group">
	    				<input type="submit" class="btn btn-success" value="Save">
	    			</div>
	    		</div>
	    		
	    	</div>
	    </form>
        
    </div>
    <div class="card-footer">&nbsp;</div>
</div>
@endsection

@section('style')
	<link rel="stylesheet" href="{{asset('public/backend/plugin/richtexteditor/rte_theme_default.css')}}" />
@endsection

@section('scripts')
	<script type="text/javascript" src="{{asset('public/backend/plugin/richtexteditor/rte.js')}}"></script>
	<script>RTE_DefaultConfig.url_base='richtexteditor'</script>
	<script type="text/javascript" src="{{asset('public/backend/plugin/richtexteditor/plugins/all_plugins.js')}}"></script>

	<script>
		var editor1 = new RichTextEditor("#editor");
	</script>
@endsection