@extends('backend.layouts.app')
@section('title', 'Privilege')

@section('content')

<div class="card">
	<div class="card-header">
		<h5>
			<i class="fa fa-shield"></i>&nbsp;
			<strong>Set Privilege</strong>
		</h5>
	</div>
	<div class="card-body min75vh">
		<div class="row">
			<div class="col-md-2">
				<div class="form-group">
					<select class="form-control" id="type" data-live-search="true">
						<option value="" selected disabled>--Select A Type--</option>
						<option value="admin">Admin</option>
						<option value="user">User</option>
					</select>
				</div>
			</div>
			<div class="col-md-4">
				<div class="form-group">
					<select class="form-control" id="users" data-live-search="true">
						<option value="" selected disabled>--Select A User--</option>
						@if(!empty($admins)) @foreach($admins as $key=>$row)
						<option value="{{$row->id}}">{{$row->name}}-({{$row->type}})</option>
						@endforeach @endif
					</select>
				</div>
			</div>
			<div class="offset-md-3 col-md-3">
				<div class="form-group">
					<input type="search" id="search_field" class="form-control" placeholder="Search Menu With Name...">
				</div>
			</div>
		</div>
		<div class="row border-top pt-2">
			<div class="col-md-12 position-relative">
				<div class="">
					<div class="menu-wrapper" id="menu_wrapper">
						@if(!empty($menus)) @foreach($menus as $key=>$menu)
						<div class="menu">
							<div class="action_">
								<div class="sign"></div>
								<label><input type="checkbox" value="{{$menu->id}}" data-type="menu" name="">{{$menu->name_en}}</label>
							</div>
							@if(!empty($menu->subMenu)) @foreach($menu->subMenu as $key2=>$submenu)
							<div class="sub-menu">
								<div class="action_">
									<div class="sign"></div>
									<label><input type="checkbox" value="{{$submenu->id}}" data-type="submenu" name="">{{$submenu->name_en}}</label>
								</div>
								@if(!empty($submenu->actionMenu) && !$submenu->actionMenu->isEmpty())
								<div class="action-menu-wrapper">
									@foreach($submenu->actionMenu as $key3=>$actionmenu)
									<div class="action-menu">
										<div class="action_">
											<div class="sign"></div>
											<label><input type="checkbox" value="{{$actionmenu->id}}" data-type="actionmenu" name="">{{$actionmenu->name_bn}}</label>
										</div>
									</div>
									@endforeach
								</div>
								@endif
							</div>
							@endforeach @endif
						</div>
						@endforeach @endif
					</div>
				</div>

				<div class="nothing-found">
					<div>
						<h1 title="Nothing Here...">¯\_(ツ)_/¯</h1>
						<h5>Nothing Here</h5>
					</div>
				</div>

				<div class="user_info_box">
					<div class="nothing-found">
						<div>
							<h1 title="Nothing Here...">( ˘︹˘ )</h1>
							<h5>Please Select A User</h5>
						</div>
					</div>
					<div class="user_info" id="user_info">
						
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="card-footer">&nbsp;</div>
</div>
@endsection




@section('style')
<link rel="stylesheet" href="{{asset('public/backend/css/privilege.css')}}"></link>
<style>
	.user_info {
		width: 100%;
	}
	.user_info_box {
		position: absolute;
		top: 0;
		right: 40px;
		width: 35%;
		display: flex;
		justify-content: center;
	}
	.position-relative > .nothing-found {
		width: 60%;
	}
</style>
@endsection

@section('scripts')
<script src="{{asset('public/backend/js/privilege.js')}}" type="text/javascript"></script>
@endsection