@extends('backend.layouts.app')
@section('title', 'Setting')

@section('content')

<div class="card">
	<div class="card-header">
		<h5>Settings</h5>
	</div>
	<div class="card-body min70vh">
		<div class="row">
			<div class="col-md-6">
				<form action="{{route('admin.settings')}}" method="post" enctype="multipart/form-data">
					@csrf
				    <div class="form-row">
				        <!-- App Name -->
				        <label class="col-md-2 text-right" for="play-store"><strong>App Name</strong></label>
				        <div class="form-group col-md-9 required">
				            <input type="text" name="app_name" value="{{$setting->app_name??''}}" id="app_name" placeholder="App Name" autocomplete="off" class="form-control" required>
				        </div>
				        <!-- E-mail -->
				        <label class="col-md-2 text-right" for="apple-store"><strong>E-mail</strong></label>
				        <div class="form-group col-md-9 required">
				            <input type="email" name="email" value="{{$setting->email??''}}" id="email" placeholder="E-mail" class="form-control" autocomplete="off">
				        </div>
				        <!-- Contact No -->
			            <label class="col-md-2 text-right" for="apple-store"><strong>Contact No</strong></label>
				        <div class="form-group col-md-9 required">
				            <input type="mobile" name="contact_no" value="{{$setting->contact_no??''}}" id="mobile" placeholder="Contact No" class="form-control" autocomplete="off">
				        </div>
				        <!-- Address -->
			            <label class="col-md-2 text-right" for="apple-store"><strong>Address</strong></label>
				        <div class="form-group col-md-9 required">
				            <textarea name="address" id="address" placeholder="Address" class="form-control" rows="4">{{$setting->address??''}}</textarea>
				        </div>

				        <div class="form-group col-11">
				            <button type="submit" class="btn btn-success float-right">Save</button>
				        </div>
				    </div>
				</form>
			</div>

			<div class="col-md-3">
				<div class="logo">
					<div class="img">
						<img src="{{asset($setting->logo_path??'public/backend/images/logo/logo.svg')}}">
					</div>
					<div class="file">
						<span>Choose Logo</span>
						<p>Add a new one</p>
						<label for="logo">
							<input type="file" name="logo" id="logo">
						</label>
					</div>
				</div>
			</div>

			<div class="col-md-3">
				<div class="logo">
					<div class="img">
						<img src="{{asset($setting->fav_icon_path??'public/backend/images/logo/logo.svg')}}">
					</div>
					<div class="file">
						<span>Choose Fav-icon</span>
						<p>Add a new one</p>
						<label for="fav_icon">
							<input type="file" name="fav_icon" id="fav_icon">
						</label>
					</div>
				</div>
			</div>

		</div>
	</div>
	<div class="card-footer">&nbsp;</div>
</div>

@section('scripts')
<script>
	window.axios.defaults.headers.common['X-Requested-With'] = 'XMLHttpRequest';
	(()=>{
		const logo 	   = read('#logo');
		const fav_icon = read('#fav_icon');
		var formdata   = new FormData();
		/* Logo Handler */
		if(logo) logo.addEventListener('change', upload);
		/* Fav-icon Handler */
		if(fav_icon) fav_icon.addEventListener('change', upload);

		function upload(event){
			const target = event.target;
			if(target.files[0])
			{
				target.closest('.logo').querySelector('span').innerText="Uploading...";
				formdata.append('file', target.files[0]);
				axios.post(url+'api/admin/setting/'+(target.getAttribute('id'))+'/upload', formdata)
				.then(response=>{
					target.closest('.logo').querySelector('span').innerText="Complete";
					target.closest('.logo').querySelector('img').src = url+response.data;
				})
				.catch(err=>console.log(err));
			}
		}
	})()
</script>
@endsection


@endsection

@section('style')
<style>
.logo {
	position: relative;
	border: 1px solid #ddd;
}
.logo .img {
	width: 289px;
	height: 289px;
	overflow: hidden;
}
.logo .img img{
	width: 100%;
	height: 100%;
	object-fit: contain;
}
.file {
    background: #f7f7f7;
    display: flex;
    align-items: center;
}
.file span {
    display: block;
    padding: 9px 8px;
    font-size: 14px;
    background: #ececec;
    width: fit-content;
}
.file p {
    font-size: 14px;
    padding-left: 5px;
    color: #bdbdbd;
}
.file label{
	position: absolute;
	top: 0;
	height: 0;
	width: 100%;
	height: 100%;
	cursor: pointer;
}
.file label input[type='file'] {
	opacity: 0;
}
</style>
@endsection