@extends('backend.layouts.app')
@section('title', 'Create')

@section('content')
<div class="card">
	<div class="card-header">
		<h6 class="float-left">Create (<small>Slider</small>)</h6>
		<div class="float-right">
			<a href="{{route('admin.slider.all')}}">Slider List</a>
		</div>
	</div>
	<div class="card-body">

		<form action="{{ route('admin.slider.store') }}" method="post" enctype="multipart/form-data">
			@csrf
			<div class="col-lg-7 col-12">
				<div class="form-group">
					<label class="label-control">Title</label>
					<input type="text" name="title" Placeholder="Title... *" required class="form-control">
				</div>

				<div class="form-group">
					<label class="label-control">Sub Title</label>
					<textarea name="subtitle" Placeholder="Sub Title..." class="form-control"></textarea>
				</div>
				
				<div class="form-group">
					<label class="label-control">Link</label>
					<input type="url" name="link" Placeholder="Link..." class="form-control">
				</div>
				
				<div class="form-group">
					<label class="label-control">Anchor text</label>
					<input type="text" name="anchor_text" Placeholder="Anchor text..." class="form-control">
				</div>	
				<br>


				{{-- slider banner start --}}
				<div>
					<strong>Slider</strong>
					<label class="image_upload_zone" for="">
						<input type="file" accept=".jpg, .png, .webp" onchange="previewFile('preview', this, 'img', 'img_width', 'img_height')">
						<input type="hidden" name="img" id="img" required>
						<input type="hidden" name="img_width" id="img_width" >
						<input type="hidden" name="img_height" id="img_height" >
						<i class="fa fa-upload"></i>
						
						<div class="text">
							<span>Drag And drop Slider</span>
							<strong>Or</strong>
							<br>
							<button>Select Slider</button>
							<br>
							<span>
								File Type JPG,PNG,Webp
								<br>
								Slider Size Limit: 1MB
								<br>
								Slider Ration: 1200x300
							</span>
						</div>
					</label>
					
					<div class="image_preview_wrapper">
						<img style="max-width: 100%;" src="" id="preview">
					</div>
				</div>
					
				<input type="submit" class="btn btn-primary" value="Create">
			</div>
			{{-- slider banner end --}}
		</form>
	</div>
</div>
@endsection



@section('style')
	<style>
		.image_upload_zone{
			display: block;
			width: 100%;
			border: 2px dashed #ddd;
			position: relative;
			padding: 40px 10px;
			margin: 25px 0;
			text-align: center;
		}
		.image_upload_zone input[type=file]{
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			opacity: 0;
		}
		.image_upload_zone i{
			vertical-align: middle;
			border-style: none;
			font-size: 100px;
			margin: auto;
			display: block;
		}
		.image_upload_zone .text{
			text-align: center;
			font-size: 1.2rem;
		}
		.image_upload_zone .text button{
			background: #fff;
			padding: 10px 25px;
			margin: 15px 0;
			font-weight: bold;
			box-shadow: 0 1px 10px #0002;
			border: 1px solid #bcbcbc;
		}

		.image_preview_wrapper{
			margin: 15px 0;
			display: block;
			width: 100%;
		}
		.image_preview_wrapper img{
			display: block;
			max-width: 400px;
		}
	</style>
@endsection

@section('scripts')
	<script>
	//this script for image file preview
	function previewFile(place,e, input_id, img_width, img_height) {
		var file 	   = e.files[0],
			preview    = document.getElementById(place),
			img_width  = document.getElementById(img_width),
			img_height = document.getElementById(img_height),
			fileReader = new FileReader();
			

		fileReader.addEventListener('load', function(){
			preview.src = fileReader.result;
			document.getElementById(input_id).value = btoa(fileReader.result);
			
			preview.addEventListener('load', function(){
				img_width.value	 = preview.naturalWidth;
				img_height.value = preview.naturalHeight;
			});
		});
		
		if(file){
			fileReader.readAsDataURL(file);
		}
	}
	</script>
@endsection