@extends('backend.layouts.app')
@section('title', 'Update')

@section('content')
<div class="card">
	<div class="card-header">
		<h4 class="float-left mt-1">Update (<small>Slider</small>)</h4>
		<div class="float-right">
			<a href="{{route('admin.slider.all')}}" class="btn btn-success">Slider List</a>
		</div>
	</div>
	<div class="card-body">

        @if($slider)
            <form action="{{ route('admin.slider.update', $slider->id) }}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="col-lg-7 col-12">
                    <div class="form-group">
                        <label class="label-control">Title</label>
                        <input type="text" name="title" value="{{ $slider->title }}" Placeholder="Title... *" required class="form-control">
                    </div>

                    <br>

                    <input type="hidden" name="old_path"  value="{{ $slider->path }}">

                    <div>
                        <strong>Slider</strong>
                        <label class="image_upload_zone" for="">
                            <input type="file" name="img" accept=".jpeg, .jpg, .png, .webp" onchange="previewFile('preview', this)">
                            <i class="fa fa-upload"></i>
                            <div class="text">
                                <span>Drag And drop Slider</span>
                                <strong>Or</strong>
                                <br>
                                <button>Select Slider</button>
                                <br>
                                <span>
                                    File Type JPEG, JPG, PNG, Webp
                                    <br>
                                    Slider Size Limit: 1MB
                                    <br>
                                    Slider Ration: 1200x300
                                </span>
                            </div>
                        </label>
                        
                        <div class="image_preview_wrapper">
                            <img style="max-width: 100%;" src="{{ asset($slider->img_path) }}" id="preview">
                        </div>
                    </div>
                        
                    <input type="submit" class="btn btn-primary" value="Update">
                </div>

            </form>
        @else
            <div class="alert alert-warning">
                No result found!
            </div>
        @endif
	</div>
</div>
@endsection



@section('style')
	<style>
		.image_upload_zone{
			display: block;
			width: 100%;
			border: 2px dashed #ddd;
			position: relative;
			padding: 40px 10px;
			margin: 25px 0;
			text-align: center;
		}
		.image_upload_zone input[type=file]{
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			opacity: 0;
		}
		.image_upload_zone i{
			vertical-align: middle;
			border-style: none;
			font-size: 100px;
			margin: auto;
			display: block;
		}
		.image_upload_zone .text{
			text-align: center;
			font-size: 1.2rem;
		}
		.image_upload_zone .text button{
			background: #fff;
			padding: 10px 25px;
			margin: 15px 0;
			font-weight: bold;
			box-shadow: 0 1px 10px #0002;
			border: 1px solid #bcbcbc;
		}

		.image_preview_wrapper{
			margin: 15px 0;
			display: block;
			width: 100%;
		}
		.image_preview_wrapper img{
			display: block;
			max-width: 400px;
		}
	</style>
@endsection

@section('scripts')
	<script>
	//this script for image file preview
	function previewFile(place,e, input_id, img_width, img_height) {
		var file 	   = e.files[0],
			preview    = document.getElementById(place),
			fileReader = new FileReader();
			

		fileReader.addEventListener('load', function(){
			preview.src = fileReader.result;
		});
		
		if(file){
			fileReader.readAsDataURL(file);
		}
	}
	</script>
@endsection