@extends('backend.layouts.app')
@section('title', 'Add User')

@section('content')
<div class="card">
	<div class="card-header">
		<h5>Create A New User</h5>
	</div>
	<div class="card-body">
		<form action="{{route('admin.user.store')}}" method="post" enctype="multipart/form-data">
			@csrf
			<div class="row">
				<div class="col-md-3">
					<div class="profile-pic">
						<img src="{{asset('public/images/demo/user.png')}}" class="img" id="img">
						<div class="browse">
							<span>Choose A Picture</span>
							<label><input type="file" onchange="fetchFile('img')" name="photo" class="form-control"></label>
						</div>
					</div>

					<hr>

			        <div class="form-group required">
				        <label><strong>Privilege <span class="required">*</span></strong></label>
			        	<select name="type" class="form-control selectpicker" data-value="{{old('type')}}" data-live-search="true" >
			        		<option value="superadmin">Super-Admin</option>
			        		<option value="admin">Admin</option>
			        		<option value="user">User</option>
			        	</select>
			        </div>
				</div>
				<div class="col-md-8">

				    <div class="form-row">
				        <label class="col-md-3 text-md-right p-1"><strong>Name <span class="required">*</span></strong></label>
				        <div class="form-group col-md-6 required">
				            <input type="text" name="name" value="{{old('name')}}" placeholder="Name" autocomplete="off" class="form-control @error('name') error @enderror" required>
				            @error('name') <span class="flash-text">{{$message}}</span> @enderror
				        </div>
				    </div>

				    <div class="form-row">
				        <label class="col-md-3 text-md-right p-1"><strong>Mobile <span class="required">*</span></strong></label>
				        <div class="form-group col-md-6 required">
				            <input type="text" name="mobile" value="{{old('mobile')}}" placeholder="Mobile" autocomplete="off" class="form-control @error('mobile') error @enderror" required>
				            @error('mobile') <span class="flash-text">{{$message}}</span> @enderror
				        </div>
				    </div>

				    <div class="form-row">
				        <label class="col-md-3 text-md-right p-1"><strong>Gender</strong> &nbsp;</label>
				        <div class="form-group col-md-6">
				            <select name="gender" class="form-control selectpicker" data-value="{{old('gender')}}">
				        		<option value="">Select A Gender</option>
				        		<option value="male">Male</option>
				        		<option value="female">Female</option>
				        		<option value="others">Others</option>
				        	</select>
				        </div>
				    </div>

				    <div class="form-row">
				        <label class="col-md-3 text-md-right p-1"><strong>E-mail <span class="required">*</span></strong></label>
				        <div class="form-group col-md-6 required">
				            <input type="email" name="email" value="{{old('email')}}" placeholder="E-mail" autocomplete="off" class="form-control @error('email') error @enderror" required>
				            @error('email') <span class="flash-text">{{$message}}</span> @enderror
				        </div>
				    </div>

				    <div class="form-row">
				        <label class="col-md-3 text-md-right p-1"><strong>Address &nbsp;</strong></label>
				        <div class="form-group col-md-6 required">
				            <textarea name="address" rows="3" class="form-control">{{old('address')}}</textarea>
				        </div>
				    </div>
					<hr>
				    <div class="form-row">
				        <label class="col-md-3 text-md-right p-1"><strong>Username <span class="required">*</span></strong></label>
				        <div class="form-group col-md-6 required"><input type="text" name="username" value="{{old('username')}}" placeholder="Username" autocomplete="off" class="form-control @error('username') error @enderror" required>
				            @error('username') <span class="flash-text">{{$message}}</span> @enderror
				        </div>
				    </div>

				    <div class="form-row">
				        <label class="col-md-3 text-md-right p-1"><strong>Password <span class="required">*</span></strong></label>
				        <div class="form-group col-md-6 required"><input type="password" name="password" placeholder="Password" autocomplete="off" class="form-control @error('password') error @enderror" required>
				            @error('password') <span class="flash-text">{{$message}}</span> @enderror
				        </div>
				    </div>

				    <div class="form-row">
				        <label class="col-md-3 text-md-right p-1"><strong>Confirm Password <span class="required">*</span></strong></label>
				        <div class="form-group col-md-6 required"><input type="password" name="confirm_password" placeholder="Password" autocomplete="off" class="form-control @error('confirm_password') error @enderror" required>
				            @error('confirm_password') <span class="flash-text">{{$message}}</span> @enderror
				        </div>
				    </div>
				        
			        <div class="col-md-9 text-right p-0">
			            <button type="submit" class="btn btn-success">Submit</button>
			        </div>
				</div>
			</div>
		</form>
	</div>
</div>
@endsection