@extends('backend.layouts.app')
@section('title', 'All User')

@section('content')
<div class="card">
	<div class="card-header">
		<h5>All User</h5>
	</div>
	<div class="card-body min75vh">
		<form action="" method="POST">
			@csrf
			<div class="row border-bottom mb-3">
				<div class="col-md-2 form-group">
					 <input type="text" name="search[username]" class="form-control" value="{{Request()->search['username']??''}}" placeholder="Username">
				</div>
				<div class="col-md-2 form-group">
					 <input type="text" name="search[mobile]" class="form-control" value="{{Request()->search['mobile']??''}}" placeholder="Mobile">
				</div>
				<div class="col-md-2 form-group">
					 <input type="text" name="search[email]" class="form-control" value="{{Request()->search['email']??''}}" placeholder="E-mail">
				</div>
				
				<div class="col-md-3 form-group">
					<select name="search[gender]" class="form-control selectpicker" data-live-search="true" data-value="{{Request()->search['gender'] ?? ''}}">
						<option value="" selected disabled>Select A Gender</option>
						<option value="female"> Female </option>
						<option value="male"> Male </option>
						<option value="others"> Others </option>
					</select>
				</div>
				<div class="col-md-2 form-group">
					<input type="submit" class="btn btn-primary" value="Filter">
				</div>
			</div>
		</form>
		<div class="table-responsive">
			<table class="table table-bordered">
				<thead>
					<tr>
						<th>SL</th>
						<th>Photo</th>
						<th>Name</th>
						<th>Username</th>
						<th>Mobile</th>
						<th>E-Mail</th>
						<th>Gender</th>
						<th>Privilege</th>
						<th class="text-center" width="120">Action</th>
					</tr>
				</thead>
				<tbody>
				@if(!empty($admins)) @foreach($admins as $key=>$row)
				<tr>
					<td>{{++$key}}</td>
					<td>
						<img src="{{asset($row->img!='' ? $row->img : 'public/backend/images/avatars/user.png')}}" class="user-photo">
					</td>
					<td>{{$row->name}}</td>
					<td>{{$row->username}}</td>
					<td>{{$row->mobile}}</td>
					<td>{{$row->email}}</td>
					<td>{{ucfirst($row->gender)}}</td>
					<td>{{ucfirst($row->type)}}</td>
					<td>
						<div class="btn-group">
							<a href="{{route('admin.user.profile', $row->id)}}" class="btn btn-sml btn-info" title="User Profile"><i class="fa fa-eye"></i></a>
							<a href="{{route('admin.user.edit', $row->id)}}" class="btn btn-sml btn-success" title="Edit"><i class="fa fa-pencil-square-o"></i></a>
							<a href="{{route('admin.user.trash', $row->id)}}" class="btn btn-sml btn-danger" class="confirmation" data-title="Are You sure Trashed This User ??" title="Trash"><i class="fa fa-trash-o"></i></a>
						</div>
					</td>
				</tr>
				@endforeach @endif
				</tbody>
			</table>
		</div>
	</div>
	<div class="card-footer">&nbsp;</div>
</div>
@endsection

@section('style')
<style>
	.user-photo {
		width: 30px;
		height: 30px;
	}
</style>
@endsection