@extends('fontend.layouts.app')
@section('title', 'Home')

@section('content')
<section class="about_section mt-2" id="gellary">
    <div class="container pt-5 mb-2">
       <div class="row">

           <div class="col-md-4 border-right">
               <h2>Government</h2>
               <hr>
                @if(!empty($government_careers) && !$government_careers->isEmpty())
                    @foreach($government_careers as $key=>$row)
                        <div class="card mb-2">
                            <div class="card-body">
                                <h5 class="card-title">{{$row->title}}</h5>
                                <h6 class="card-subtitle mb-2 text-muted">{{ucfirst(str_replace('_', ' ', $row->type))}}</h6>
                                <h6 class="card-subtitle mb-2 text-muted">{{ucfirst(str_replace('_', ' ', $row->category))}}</h6>
                                <p class="card-text">{{$row->description}}</p>
                            </div>
                        </div>
                    @endforeach
                @else
                <div class="text-center">
                    <p>Oops, Nothing Found</p>
                </div>
                @endif
           </div>

           <div class="col-md-4 border-right">
               <h2>Private</h2>
               <hr>
               @if(!empty($private_careers) && !$private_careers->isEmpty())
                    @foreach($private_careers as $key=>$row)
                        <div class="card mb-2">
                            <div class="card-body">
                                <h5 class="card-title">{{$row->title}}</h5>
                                <h6 class="card-subtitle mb-2 text-muted">{{ucfirst(str_replace('_', ' ', $row->type))}}</h6>
                                <h6 class="card-subtitle mb-2 text-muted">{{ucfirst(str_replace('_', ' ', $row->category))}}</h6>
                                <p class="card-text">{{$row->description}}</p>
                            </div>
                        </div>
                    @endforeach
                @else
                <div class="text-center">
                    <p>Oops, Nothing Found</p>
                </div>
                @endif
           </div>

           <div class="col-md-4">
               <h2>Business</h2>
               <hr>
               @if(!empty($business_careers) && !$business_careers->isEmpty())
                    @foreach($business_careers as $key=>$row)
                        <div class="card mb-2">
                            <div class="card-body">
                                <h5 class="card-title">{{$row->title}}</h5>
                                <h6 class="card-subtitle mb-2 text-muted">{{ucfirst(str_replace('_', ' ', $row->type))}}</h6>
                                <h6 class="card-subtitle mb-2 text-muted">{{ucfirst(str_replace('_', ' ', $row->category))}}</h6>
                                <p class="card-text">{{$row->description}}</p>
                            </div>
                        </div>
                    @endforeach
                @else
                <div class="text-center">
                    <p>Oops, Nothing Found</p>
                </div>
                @endif
           </div>

       </div>
    </div>
</section>
@endsection

@section('style')
<style>
	.career-info {
        min-height: 55vh;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .career-object {
        margin-bottom: 27px;
        max-width: 461px;
    }
    .career-object h2 , .career-object p{
        text-align: center;
    }
    .career-bottons {
        text-align: center;
    }
</style>
@endsection