@extends('fontend.layouts.app')
@section('title', 'All Members')

@section('content')
<div class="container">
	<div class="user-panel">
		<div class="user-aside">
			<img src="{{asset('public/images/gallery/1636543861.jpg')}}">
			<ul>
				<li><a href="{{route('user.dashboard')}}">Dashboard</a></li>
				<li><a href="{{route('user.members')}}">All Member</a></li>
				<li><a href="{{route('user.profile')}}">My Profile</a></li>
			</ul>
		</div>
		<div class="main-section">
			<h3>All Members</h3>
			<hr>
			<div class="dashboard">
				<div class="row">
					@if(!empty($all_members) && !$all_members->isEmpty()) @foreach($all_members as $key=>$row)
					<div class="col-md-4 mb-2">
						<div class="card">
						  <img class="card-img-top" src="{{asset('public/backend/images/avatars/user.png')}}" alt="Card image cap">
						  <div class="card-body">
						    <h5 class="card-title">{{$row->name_en}}</h5>
						    <p class="card-text">{{strtoupper($row->academic_department)}}</p>
						    <p class="card-text">{{$row->mobile}}</p>
						  </div>
						</div>
					</div>
					@endforeach @endif
				</div>
			</div>
		</div>
	</div>
</div>
@endsection


@section('style')
<style>
	.dashboard {

	}
	.user-panel {
		min-height: 70vh;
		padding: 15px;
		display: flex;
		box-sizing: border-box;
	}
	.user-panel .user-aside {
		width: 250px;
		background: #f8f9fa;
		text-align: center;
		padding: 20px 0px
	}
	.user-panel .main-section {
		width: calc(100% - 250px);
		padding: 15px;
	}
	.user-aside ul li {
		list-style: none;
	}
	.user-aside ul li a {
		display: block;
	    text-align: center;
	    color: #000000;
	    padding: 5px;
	    margin-top: 2px;
	    background: #e9ecef;
	}
	.user-aside ul li a:hover {
	    background: #dee4e9;
	}
	.user-aside img {
		width: 100px;
		height: 100px;
		border-radius: 50%;
		border: 1px solid #ddd;
		padding: 1px;
		object-fit: cover;
		margin: auto;
		margin-bottom: 20px;
	}
</style>
@endsection