@extends('fontend.layouts.app')
@section('title', 'User Dashboard')

@section('content')
<div class="container">
	<div class="user-panel">

		<div class="user-aside">
			<div class="profile-pic-wrapper">
			  <div class="pic-holder">
			    <img id="profilePic" class="pic" src="{{asset(Auth::user()->img!='' ? Auth::user()->img : 'public/images/gallery/1636543861.jpg')}}">
			    <label for="newProfilePhoto" class="upload-file-block">
			      <div class="text-center">
			        <div class="mb-2">
			          <i class="fa fa-camera fa-2x"></i>
			        </div>
			        <div class="text-uppercase">
			          Update <br /> Profile Photo
			        </div>
			      </div>
			    </label>
			    <Input class="uploadProfileInput" type="file" name="profile_pic" id="newProfilePhoto" accept="image/*" style="display: none;" />
			  </div>
			</div>

			<ul>
				<li><a href="{{route('user.dashboard')}}">Dashboard</a></li>
				<li><a href="{{route('user.members')}}">All Member</a></li>
				<li><a href="{{route('user.profile')}}">My Profile</a></li>
			</ul>
		</div>

		<div class="main-section">
			<h3>My Profile</h3>
			<div class="signup-section mt-2">
				<div class="form-section">
		            <form method="POST" action="{{route('user.update.profile')}}" enctype="multipart/form-data">
		                @csrf
		                <div class="card">
		                    <div class="card-title">1. Personal Information</div>

		                    <div class="card-body">
		                        <div class="row">
		                        	<div class="col-md-6">
		                        		<div class="form-group mb-0">
		                        			<label>Name of the Applicant (In Block Letter):</label>
		                        			<input type="text" class="form-control" id="nameEn" name="name_en" value="{{$profile->name_en}}" placeholder="">
		                        		</div>
		                        	</div>

		                        	<div class="col-md-6">
		                        		<div class="form-group mb-0">
		                        			<label>বাংলায়:</label>
		                        			<input type="text" class="form-control" id="nameBn" name="name_bn" value="{{$profile->name_bn}}" placeholder="">
		                        		</div>
		                        	</div>
		                        </div>

		                        <hr>

		                        <div class="row">
		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label class="col-md-3 col-form-label" for="birthday">
		                                        Date of Birth:
		                                    </label>
		                                    <div class="col-md-9">
		                                        <input type="date" class="form-control" name="birthday" value="{{$profile->birthday}}" placeholder="DD/MM/YYYY">
		                                    </div>
		                                </div>
		                            </div>

		                            {{--
		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label class="col-md-4 col-form-label" for="passport">NID / Passport No.:</label>
		                                    <div class="col-md-8">
		                                        <input type="text" class="form-control" name="nid_passport" value="{{$profile->nid_passport}}" placeholder="">
		                                    </div>
		                                </div>
		                            </div>
		                            --}}

		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label class="col-md-2 col-form-label" for="passport">Gender:</label>
		                                    <div class="col-md-8">
		                                        <div class="form-check">
			                                        <input class="form-check-input" type="radio" name="gender" {{$profile->gender=='male' ? 'checked' : ''}} id="male" value="male">
			                                        <label class="form-check-label" for="male">
			                                            Male
			                                        </label>
			                                    </div>
			                                    <div class="form-check">
			                                        <input class="form-check-input" type="radio" name="gender" {{$profile->gender=='female' ? 'checked' : ''}} id="female" value="female">
			                                        <label class="form-check-label" for="female">
			                                            Female
			                                        </label>
			                                    </div>
		                                    </div>
		                                </div>
		                            </div>

		                        </div>



		                        <div class="row">
		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label class="col-md-3 col-form-label">Blood Group:</label>
		                                    <div class="col-md-9">
		                                        <input type="text" name="blood_group" value="{{$profile->blood_group}}" class="form-control">
		                                    </div>
		                                </div>

		                            </div>
		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label class="col-md-3 col-form-label">Religion:</label>
		                                    <div class="col-md-9">
		                                        <input type="text" name="religion" value="{{$profile->religion}}" class="form-control">
		                                    </div>
		                                </div>

		                            </div>

		                            {{--
		                            <div class="col-md-4">
		                                <div class="form-group row">
		                                    <label class="col-md-3 col-form-label">Nationality:</label>
		                                    <div class="col-md-9">
		                                        <input type="text" name="nationalily" value="{{$profile->nationalily}}" class="form-control">
		                                    </div>
		                                </div>
		                            </div>
		                            --}}
		                        </div>

		                        <div class="row">
		                        	{{--
		                            <div class="col-md-4">
		                                <div class="form-group row">
		                                    <label class="col-md-3 col-form-label" for="tel">Telephone:</label>
		                                    <div class="col-md-9">
		                                        <input type="number" name="tel" value="{{$profile->tel}}" class="form-control">
		                                    </div>
		                                </div>
		                            </div>
		                            --}}
		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label class="col-md-3 col-form-label" for="mobile">Mobile:</label>
		                                    <div class="col-md-9">
		                                        <input type="number" name="mobile" value="{{$profile->mobile}}" class="form-control">
		                                    </div>
		                                </div>
		                            </div>
		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label class="col-md-3 col-form-label" for="email">Email:</label>
		                                    <div class="col-md-9">
		                                        <input type="email" name="email" value="{{$profile->email}}" class="form-control">
		                                    </div>
		                                </div>
		                            </div>
		                        </div>

		                        <div class="row">
		                        	<div class="col-md-6">
		                        		<div class="form-group row">
		                                    <label class="col-md-3 col-form-label" for="Occupation">Occupation:</label>
		                                    <div class="col-md-9">
		                                        <input type="text" name="occupation" value="{{$profile->occupation}}" class="form-control">
		                                    </div>
		                                </div>
		                        	</div>
		                        	<div class="col-md-6">
		                        		<div class="form-group row">
		                                    <label class="col-md-3 col-form-label" for="Designation">Designation:</label>
		                                    <div class="col-md-9">
		                                        <input type="text" name="designation" value="{{$profile->designation}}" class="form-control">
		                                    </div>
		                                </div>
		                        	</div>
		                        </div>
		                    </div>
		                </div>


		                <div class="card">
		                    <div class="card-title">2. Family information:</div>
		                    <div class="card-body">
		                        <div class="row">

		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label for="fatherName" class="col-md-4 col-form-label">
		                                        Father's Name:
		                                    </label>
		                                    <div class="col-md-8">
		                                        <input type="text" class="form-control" id="fatherName" name="father_name" value="{{$profile->father_name}}" placeholder="">
		                                    </div>
		                                </div>
		                            </div>
		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label for="fatherName" class="col-md-4 col-form-label">
		                                        Mother's Name:
		                                    </label>
		                                    <div class="col-md-8">
		                                        <input type="text" class="form-control" id="motherName" name="mother_name" value="{{$profile->mother_name}}" placeholder="">
		                                    </div>
		                                </div>
		                            </div>
		                        </div>


		                        <div class="row">
		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label for="fatherName" class="col-md-4 col-form-label">
		                                        Spouse Name:
		                                    </label>
		                                    <div class="col-md-8">
		                                        <input type="text" class="form-control" id="fatherName" name="spouse_name" value="{{$profile->spouse_name}}" placeholder="">
		                                    </div>
		                                </div>
		                            </div>
		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label for="fatherName" class="col-md-4 col-form-label">
		                                        Number of children:
		                                    </label>
		                                    <div class="col-md-8">
		                                        <div class="d-flex justify-content-center align-items-center">
		                                            <label for="Son" class="col-form-label pr-2">Son</label>
		                                            <input type="number" class="form-control mr-3" id="Son" name="son" value="{{$profile->son}}">

		                                            <label for="Daughter"
		                                                class="col-form-label pr-2">Daughter</label>
		                                            <input type="number" class="form-control" id="Daughter" name="daughter" value="{{$profile->daughter}}">
		                                        </div>

		                                    </div>
		                                </div>
		                            </div>
		                        </div>

		                        <div class="row pb-4">
		                            <label for="childrenName" class="col-md-12 col-form-label">
		                                Childrens Name:
		                            </label>
				                    @php
				                    	$childrens = json_decode($profile->children, true);
				                    @endphp

				                    @if($childrens && is_array($childrens)) @foreach($childrens as $key=>$row) @php $row=(Object)$row @endphp
				                    <div class="col-md-6 mb-2">
				                        <div class="row d-flex justify-content-center align-items-center">
				                            <div class="col-md-1">
				                                {{++$key}})
				                            </div>
				                            <div class="col-md-6">
				                                <input type="text" class="form-control" value="{{$row->name}}" name="child_names[]">
				                            </div>
				                            <div class="col-md-2 text-right">
				                                Age
				                            </div>
				                            <div class="col-md-3">
				                                <input type="number" class="form-control" value="{{$row->age}}" name="child_ages[]">
				                            </div>
				                        </div>
				                    </div>
				                    @endforeach 

				                    @else
		                            <div class="col-md-6 mb-2">
		                                <div class="row d-flex justify-content-center align-items-center">
		                                    <div class="col-md-1">
		                                        1)
		                                    </div>
		                                    <div class="col-md-6">
		                                        <input type="text" class="form-control" name="child_names[]">
		                                    </div>
		                                    <div class="col-md-2 text-right">
		                                        Age
		                                    </div>
		                                    <div class="col-md-3">
		                                        <input type="number" class="form-control" name="child_ages[]">
		                                    </div>
		                                </div>
		                            </div>

		                            <div class="col-md-6 mb-2">
		                                <div class="row d-flex justify-content-center align-items-center">
		                                    <div class="col-md-1">
		                                        2)
		                                    </div>
		                                    <div class="col-md-6">
		                                        <input type="text" class="form-control" name="child_names[]">
		                                    </div>
		                                    <div class="col-md-2 text-right">
		                                        Age
		                                    </div>
		                                    <div class="col-md-3">
		                                        <input type="number" class="form-control" name="child_ages[]">
		                                    </div>
		                                </div>
		                            </div>

		                            <div class="col-md-6 mb-2">
		                                <div class="row d-flex justify-content-center align-items-center">
		                                    <div class="col-md-1">
		                                        <label>3)</label>
		                                    </div>
		                                   <div class="col-md-6">
		                                        <input type="text" class="form-control" name="child_names[]">
		                                    </div>
		                                    <div class="col-md-2 text-right">
		                                        Age
		                                    </div>
		                                    <div class="col-md-3">
		                                        <input type="number" class="form-control" name="child_ages[]">
		                                    </div>
		                                </div>
		                            </div>

		                            <div class="col-md-6 mb-2">
		                                <div class="row d-flex justify-content-center align-items-center">
		                                    <div class="col-md-1">
		                                        4)
		                                    </div>
		                                    <div class="col-md-6">
		                                        <input type="text" class="form-control" name="child_names[]">
		                                    </div>
		                                    <div class="col-md-2 text-right">
		                                        Age
		                                    </div>
		                                    <div class="col-md-3">
		                                        <input type="text" class="form-control" name="child_ages[]">
		                                    </div>
		                                </div>
		                            </div>
				                    @endif
		                        </div>
		                    </div>
		                </div>

		                <div class="card">
		                    <div class="card-title">
		                        3. Academic Summary:
		                    </div>
		                    <div class="card-body">
		                        <div class="row">
		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label class="col-md-4 col-form-label" for="department">Department:</label>
		                                    <div class="col-md-8">
		                                        <select name="academic_department" class="form-control text-uppercase">
			                                        <option {{$profile->academic_department=='Architecture'?'selected':''}}>Architecture</option>
			                                        <option {{$profile->academic_department=='Civil'?'selected':''}}>Civil</option>
			                                        <option {{$profile->academic_department=='Chemical & Food'?'selected':''}}>Chemical & Food</option>
			                                        <option {{$profile->academic_department=='Computer'?'selected':''}}>Computer</option>
			                                        <option {{$profile->academic_department=='Electrical'?'selected':''}}>Electrical</option>
			                                        <option {{$profile->academic_department=='Electronics'?'selected':''}}>Electronics</option>
			                                        <option {{$profile->academic_department=='Environmental'?'selected':''}}>Environmental</option>
			                                        <option {{$profile->academic_department=='Mechanical'?'selected':''}}>Mechanical</option>
			                                        <option {{$profile->academic_department=='Power (Automobile & RA)'?'selected':''}}>Power (Automobile & RA)</option>
			                                        <option {{$profile->academic_department=='Nontech Dept.'?'selected':''}}>Nontech Dept.</option>
			                                    </select>
		                                    </div>
		                                </div>
		                            </div>
		                            <div class="col-md-3">
		                                <div class="form-group row">
		                                    <label class="col-md-4 col-form-label" for="session">Session:</label>
		                                    <div class="col-md-8">
		                                        <input type="text" name="academic_session" value="{{$profile->academic_session}}" class="form-control">
		                                    </div>
		                                </div>
		                            </div>
		                            <div class="col-md-3">
		                                <div class="form-group row">
		                                    <label class="col-md-6 col-form-label" for="passingYear">
		                                        Passing Year:
		                                    </label>
		                                    <div class="col-md-6">
		                                        <input type="text" name="academic_passing_year" value="{{$profile->academic_passing_year}}" class="form-control">
		                                    </div>
		                                </div>
		                            </div>
		                        </div>
		                        <div class="row">
		                            <div class="col-md-8">
		                                <div class="form-group row">
		                                    <label class="col-md-3 col-form-label" for="otherDegree">
		                                        Other Degree:
		                                    </label>
		                                    <div class="col-md-9">
		                                        <input type="text" name="academic_other_degree" value="{{$profile->academic_other_degree}}" class="form-control">
		                                    </div>
		                                </div>
		                            </div>
		                            <div class="col-md-4">
		                                <div class="form-group row">
		                                    <label class="col-md-3 col-form-label" for="idNo">
		                                        ID No:
		                                    </label>
		                                    <div class="col-md-9">
		                                        <input type="text" name="id_no" value="{{$profile->id_no}}" class="form-control">
		                                    </div>
		                                </div>
		                            </div>
		                        </div>
		                    </div>
		                </div>

		                <div class="card">
		                    <div class="card-title"> 4. Address </div>
		                    <div class="card-body">
		                        <div class="form-subsection">
		                            <div class="title">
		                                Mailing Address
		                            </div>
		                            <div class="form-group row">
		                                <label for="presentAddress" class="col-md-3 col-form-label">
		                                    a) Present Address:
		                                </label>
		                                <div class="col-md-9">
		                                    <input type="text" name="present_address" value="{{$profile->present_address}}" class="form-control">
		                                </div>
		                            </div>
		                            <div class="form-group row">
		                                <label class="col-md-3 col-form-label">
		                                    b) Permanent Address:
		                                </label>
		                                <div class="col-md-9">
		                                    <div class="row">
		                                        <div class="col-md-6">
		                                            <div class="form-group row">
		                                                <label for="village" class="col-md-4 col-form-label">
		                                                    Village:
		                                                </label>
		                                                <div class="col-md-8">
		                                                    <input type="text" name="village" value="{{$profile->village}}" class="form-control">
		                                                </div>
		                                            </div>
		                                        </div>
		                                        <div class="col-md-6">
		                                            <div class="form-group row">
		                                                <label for="postOffice" class="col-md-4 col-form-label">
		                                                    Post Office:
		                                                </label>
		                                                <div class="col-md-8">
		                                                    <input type="text" name="post_office" value="{{$profile->post_office}}" class="form-control">
		                                                </div>
		                                            </div>
		                                        </div>
		                                        <div class="col-md-6">
		                                            <div class="form-group row">
		                                                <label for="thana" class="col-md-4 col-form-label">
		                                                    Thana:
		                                                </label>
		                                                <div class="col-md-8">
		                                                    <input type="text" name="thana" value="{{$profile->thana}}" class="form-control">
		                                                </div>
		                                            </div>
		                                        </div>
		                                        <div class="col-md-6">
		                                            <div class="form-group row">
		                                                <label for="district" class="col-md-4 col-form-label">
		                                                    District:
		                                                </label>
		                                                <div class="col-md-8">
		                                                    <input type="text" name="district" value="{{$profile->district}}" class="form-control">
		                                                </div>
		                                            </div>
		                                        </div>
		                                    </div>
		                                </div>
		                            </div>
		                            
		                        </div>


		                        <div class="form-group row">
		                            <label for="organization" class="col-md-3 col-form-label">
		                                Name of Organization:
		                            </label>
		                            <div class="col-md-9">
		                                <input type="text" name="organization" value="{{$profile->organization}}" class="form-control">
		                            </div>
		                        </div>

		                        <div class="form-group row">
		                            <label for="department" class="col-md-3 col-form-label">
		                                Department:
		                            </label>
		                            <div class="col-md-9">
		                                <input type="text" name="department" value="{{$profile->department}}" class="form-control">
		                            </div>
		                        </div>
		                        <div class="form-group row">
		                            <label for="officeAddress" class="col-md-3 col-form-label">
		                                Office Address:
		                            </label>
		                            <div class="col-md-9">
		                                <input type="text" name="office_address" value="{{$profile->office_address}}" class="form-control">
		                            </div>
		                        </div>
		                    </div>
		                </div>

		                <div class="card">
		                    <div class="card-title">5. Membarship Applied for:</div>
		                    <div class="card-body">
		                        <div class="row">
		                            <div class="col-md-3">
		                                <div class="form-check form-check-inline">
		                                    <input class="form-check-input" type="radio" name="membarship_applied_for" {{$profile->membarship_applied_for=="general"?'checked':''}} id="general" value="general">
		                                    <label class="form-check-label" for="general">General</label>
		                                </div>
		                            </div>
		                            <div class="col-md-3">
		                                <div class="form-check form-check-inline">
		                                    <input class="form-check-input" type="radio" name="membarship_applied_for" {{$profile->membarship_applied_for=="life"?'checked':''}} id="life" value="life">
		                                    <label class="form-check-label" for="life">Life</label>
		                                </div>
		                            </div>
		                            <div class="col-md-3">
		                                <div class="form-check form-check-inline">
		                                    <input class="form-check-input" type="radio" name="membarship_applied_for" {{$profile->membarship_applied_for=="associate"?'checked':''}} id="associate" value="associate">
		                                    <label class="form-check-label" for="associate">Associate</label>
		                                </div>
		                            </div>
		                            <div class="col-md-3">
		                                <div class="form-check form-check-inline">
		                                    <input class="form-check-input" type="radio" name="membarship_applied_for" {{$profile->membarship_applied_for=="others"?'checked':''}} id="others" value="others">
		                                    <label class="form-check-label" for="others">Others</label>
		                                </div>
		                            </div>
		                        </div>
		                    </div>
		                </div>

		                <div class="card" style="border: 1px solid red">
		                    <div class="card-title">6. Registration Fees Details (Filled Up by Office):</div>
		                    <div class="card-body">
		                        <div class="row">
		                            <div class="col-md-3">
		                                <div class="form-group row">
		                                    <label class="col-md-4 col-form-label" for="amount">
		                                        Amount:</label>
		                                    <div class="col-md-8">
		                                        <input type="text"  value="{{$profile->membership_fee_amount}}" class="form-control" readonly>
		                                    </div>
		                                </div>
		                            </div>
		                            <div class="col-md-3">
		                                <div class="form-group row">
		                                    <label class="col-md-3 col-form-label" for="date">
		                                        Date:
		                                    </label>
		                                    <div class="col-md-9">
		                                        <input type="input" value="{{$profile->membership_fee_date}}" class="form-control" placeholder="DD/MM/YYYY" readonly>
		                                    </div>
		                                </div>
		                            </div>
		                            <div class="col-md-6">
		                                <div class="form-group row">
		                                    <label class="col-md-5 col-form-label" for="mrn">
		                                        Money Receipt Number:
		                                    </label>
		                                    <div class="col-md-7">
		                                        <input type="text" value="{{$profile->membership_mone_recept_no}}" class="form-control" readonly>
		                                    </div>
		                                </div>
		                            </div>
		                        </div>
		                    </div>
		                </div>

		                <div class="card">
		                    <div class="card-title">7. Certificate & Signature:</div>
		                    <div class="card-body">
		                        <div class="row">

		                        	{{-- 
		                            <div class="col-md-6">
		                                <div class="col">
		                                    <Label class="col-form-label">Upload Your Documents</Label>
		                                    <input type="file" class="form-control" name="enclosed_documents[]" id="documents" multiple="true">
		                                </div>

		                                <div id="uploaded_images" class="mt-3 ml-3">
		                                	@php $documents = json_decode($profile->enclosed_documents, true);  @endphp

					                        @if(!empty($documents)) @foreach($documents as $img)
					                        <img src="{{asset($img)}}" height="100">
					                        @endforeach @endif
		                                </div>
		                            </div>
		                            --}}

		                            <div class="col-md-6">
		                                <Label class="col-form-label">Signature of the Application (Upload here)</Label>
		                                <input type="file" class="form-control" name="signeture_of_application" value="{{$profile->signeture_of_application}}" id="signature_img">
		                                <br>
		                                <img id="show_signature"  height="100px" src="{{asset($profile->signeture_of_application)}}">
		                            </div>

		                            <div class="col-md-6">
		                                <Label class="col-form-label">Upload your certificate</Label>
		                                <input type="file" class="form-control" name="certificate" value="" id="certificate_img">
		                                <br>
		                                <img id="show_certificate" height="100px" src="{{asset($profile->certificate)}}">
		                            </div>
		                        </div>
		                    </div>
		                </div>


		                {{--
		                <div class="card">
		                    <div class="card-title">
		                        8. Declaration:
		                    </div>
		                    <div class="card-body">
		                        <p class="declaration">
		                            I have declared that the information have been provided by me and the documents
		                            enclosed are complete and current. If enrolled, I shall confirm to the
		                            constitution, by-laws, rules and regulations of the association.</p>
		                    </div>
		                </div>

		                <div class="card">
		                    <div class="card-title">9. Enclosed:</div>
		                    <div class="card-body">
		                        <div class="row">
		                            <div class="col-md-8">
		                                <div class="row">
		                                    <div class="col-md-6">
		                                        <div class="form-check form-check-inline">
		                                            <input class="form-check-input enclosed_file_types" type="checkbox" name="enclosed_national_id" {{$profile->enclosed_national_id=="yes"?'checked':''}} id="nationalId" value="yes">
		                                            <label class="form-check-label" for="nationalId">Photocopy of National ID</label>
		                                        </div>
		                                    </div>
		                                    <div class="col-md-6">
		                                        <div class="form-check form-check-inline">
		                                            <input class="form-check-input enclosed_file_types" type="checkbox" name="enclosed_photograph" {{$profile->enclosed_photograph=="yes"?'checked':''}} id="photograph" value="yes">
		                                            <label class="form-check-label" for="photograph">Photograph (2 Copy)</label>
		                                        </div>
		                                    </div>
		                                    <div class="col-md-6">

		                                        <div class="form-check form-check-inline">
		                                            <input class="form-check-input enclosed_file_types" type="checkbox" name="enclosed_diploma_certificate" {{$profile->enclosed_diploma_certificate=="yes"?'checked':''}} id="diplomaCert" value="yes">
		                                            <label class="form-check-label" for="diplomaCert">Photocopy of diploma pass certificate</label>
		                                        </div>
		                                    </div>
		                                    <div class="col-md-6">
		                                        <div class="form-check form-check-inline">
		                                            <input class="form-check-input enclosed_file_types" type="checkbox" name="enclosed_visiting_card" {{$profile->enclosed_visiting_card=="yes"?'checked':''}} id="visitingCard" value="yes">
		                                            <label class="form-check-label" for="visitingCard">Visiting Card (if any)</label>
		                                        </div>
		                                    </div>
		                                </div>
		                            </div>
		                            
		                        </div>
		                    </div>
		                </div>
		                --}}

		                <div class="text-right">
		                    <div class="btn-group">
		                        <input type="submit" value="Save" class="btn btn-success">
		                    </div>
		                </div>
		            </form>
		        </div>
			</div>
		</div>
	</div>
</div>
@endsection


@section('style')

  <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/css/bootstrap.min.css'>
  <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css'>
<style>
	#nameEn {
		text-transform: uppercase;
	}
	.user-panel {
		min-height: 70vh;
		padding: 15px;
		display: flex;
		box-sizing: border-box;
	}
	.user-panel .user-aside {
		width: 250px;
		background: #f8f9fa;
		text-align: center;
		padding: 20px 0px
	}
	.user-panel .main-section {
		width: calc(100% - 250px);
		padding: 15px;
	}
	.user-aside ul li {
		list-style: none;
	}
	.user-aside ul li a {
		display: block;
	    text-align: center;
	    color: #000000;
	    padding: 5px;
	    margin-top: 2px;
	    background: #e9ecef;
	}
	.user-aside ul li a:hover {
	    background: #dee4e9;
	}
	.user-aside img {
		width: 100px;
		height: 100px;
		border-radius: 50%;
		border: 1px solid #ddd;
		padding: 1px;
		object-fit: cover;
		margin: auto;
		margin-bottom: 20px;
	}

    .custom-file-input {
        z-index: 999;
    }
    .signup-section .card {
      margin-bottom: 20px;
    }

    .signup-section .card-title {
      background: #eee;
      padding: 10px;
      font-size: 20px;
      font-weight: 600;
    }

    .signup-title {
      margin-bottom: 10px;
      padding: 20px 0;
    }

    .form-subsection {
      background: #f3f3f3;
      padding: 5px 15px;
      margin-bottom: 20px;
      border-radius: 5px;
    }

    .form-subsection .title {
      padding: 5px 0;
      margin-bottom: 10px;
      border-bottom: 1px solid #dedede;
    }
    #uploaded_images img {
        padding: 3px;
        border: 1px solid;
        margin-right: 5px;
    }
    .row label, .col-md-1, .col-md-2 {
    	font-size: 13px;
    	white-space: nowrap;
    }
    .profile-pic-wrapper {
	  width: 100%;
	  position: relative;
	  display: flex;
	  flex-direction: column;
	  justify-content: center;
	  align-items: center;
	}
	.pic-holder {
	  text-align: center;
	  position: relative;
	  border-radius: 50%;
	  width: 150px;
	  height: 150px;
	  overflow: hidden;
	  display: flex;
	  justify-content: center;
	  align-items: center;
	  margin-bottom: 20px;
	}
	.pic-holder .pic {
	  height: 100%;
	  width: 100%;
	  -o-object-fit: cover;
	  object-fit: cover;
	  -o-object-position: center;
	  object-position: center;
	}
	.pic-holder .upload-file-block,
	.pic-holder .upload-loader {
	  position: absolute;
	  top: 0;
	  left: 0;
	  height: 100%;
	  width: 100%;
	  background-color: rgba(90, 92, 105, 0.7);
	  color: #f8f9fc;
	  font-size: 12px;
	  font-weight: 600;
	  opacity: 0;
	  display: flex;
	  align-items: center;
	  justify-content: center;
	  transition: all 0.2s;
	}
	.upload-loader {
		display: none;
		opacity: 1!important;
	}

	.pic-holder .upload-file-block {
	  cursor: pointer;
	}

	.pic-holder:hover .upload-file-block {
	  opacity: 1;
	}

	.pic-holder.uploadInProgress .upload-file-block {
	  display: none;
	}

	.pic-holder.uploadInProgress .upload-loader {
	  opacity: 1;
	}

	/* Snackbar css */
	.snackbar {
	  visibility: hidden;
	  min-width: 250px;
	  background-color: #333;
	  color: #fff;
	  text-align: center;
	  border-radius: 2px;
	  padding: 16px;
	  position: fixed;
	  z-index: 1;
	  left: 50%;
	  bottom: 30px;
	  font-size: 14px;
	  transform: translateX(-50%);
	}

	.snackbar.show {
	  visibility: visible;
	  -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
	  animation: fadein 0.5s, fadeout 0.5s 2.5s;
	}

	@-webkit-keyframes fadein {
	  from {
	    bottom: 0;
	    opacity: 0;
	  }
	  to {
	    bottom: 30px;
	    opacity: 1;
	  }
	}

	@keyframes fadein {
	  from {
	    bottom: 0;
	    opacity: 0;
	  }
	  to {
	    bottom: 30px;
	    opacity: 1;
	  }
	}

	@-webkit-keyframes fadeout {
	  from {
	    bottom: 30px;
	    opacity: 1;
	  }
	  to {
	    bottom: 0;
	    opacity: 0;
	  }
	}

	@keyframes fadeout {
	  from {
	    bottom: 30px;
	    opacity: 1;
	  }
	  to {
	    bottom: 0;
	    opacity: 0;
	  }
	}
</style>
@endsection

@section('script')
<script>
    (()=>{

    	var newProfilePhoto = document.querySelector('#newProfilePhoto');
    	if(newProfilePhoto){
    		newProfilePhoto.addEventListener('change', (event)=>{

    			var formdata = new FormData();
	            formdata.append('file', event.target.files[0]);
	            formdata.append('user_id', {{$profile->id}});

    			if(event.target.files){
    				var reader = new FileReader();
	                reader.onload = function(){

	                	var loader =  document.createElement('div');
	                	loader.setAttribute('class', 'upload-loader');
	                	loader.innerHTML = `<div class="spinner-border text-primary" role="status"><span class="sr-only">Loading...</span></div>`;

	                	var pic_holder = document.querySelector('.pic-holder');
	                	pic_holder.append(loader);

	                    // Send To Server
	                    const xhttp = new XMLHttpRequest();
						xhttp.onload = function() {
							if(this.responseText){
								var output = document.getElementById('profilePic');
								output.src = `{{url('/')}}/`+this.responseText;
								document.querySelector('.upload-loader').remove();
							}
						}
						xhttp.open("POST", "{{url('api/user/update-profile-pic')}}");
						xhttp.send(formdata);

	                }
	                reader.readAsDataURL(event.target.files[0]);

    			}
            });
    	}


        var signature_img = document.querySelector("#signature_img");
        if(signature_img){
            signature_img.addEventListener('change', (event)=>{
                var reader = new FileReader();
                reader.onload = function(){
                    var output = document.getElementById('show_signature');
                    output.src = reader.result;
                }
                reader.readAsDataURL(event.target.files[0]);
            });
        }

        var signature_img = document.querySelector("#certificate_img");
        if(signature_img){
            signature_img.addEventListener('change', (event)=>{
                var reader = new FileReader();
                reader.onload = function(){
                    var output = document.getElementById('show_certificate');
                    output.src = reader.result;
                }
                reader.readAsDataURL(event.target.files[0]);
            });
        }
        
        
        var documents = document.querySelector("#documents");
        if(documents){
            documents.addEventListener('change', (event)=>{
                var images = ``;
                Object.values(event.target.files).forEach((file)=>{
                   var reader = new FileReader();
                    reader.onload = function(){
                        var output = document.getElementById('show_signature');
                        images += `<img src="${reader.result}" height="100px">`;
                        
                        document.querySelector("#uploaded_images").innerHTML = images;
                    }
                    reader.readAsDataURL(file);
               });
            });
        }


    })();
</script>
@endsection