<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::post('login', [App\Http\Controllers\API\Backend\Auth\LoginController::class, 'login']);
Route::post('get/sub-menu', [App\Http\Controllers\API\Backend\MenuController::class, 'getSubMenu']);
Route::post('ajax', [App\Http\Controllers\API\AjaxController::class, 'index']);

Route::group(['prefix'=>'admin'], function(){
	/*
	 * ***********************
	 * Admin Controller
	 * ******************
	*/ 
	Route::post('get-privilege', [App\Http\Controllers\API\Backend\PrivilegeController::class, 'getPrivilege']);
	Route::post('set-privilege', [App\Http\Controllers\API\Backend\PrivilegeController::class, 'setPrivilege']);
	Route::post('menu-sorting', [App\Http\Controllers\API\Backend\MenuController::class, 'menuSorting']);
	Route::post('setting/fav_icon/upload', [App\Http\Controllers\API\Backend\SettingController::class, 'uploadFavIcon']);
	Route::post('setting/logo/upload', [App\Http\Controllers\API\Backend\SettingController::class, 'uploadlogo']);
	Route::post('/change-password', 'App\Http\Controllers\API\Backend\AdminController@changePassword');
	Route::post('/update-profile', 'App\Http\Controllers\API\Backend\AdminController@updateProfile');
});



Route::group(['prefix'=>'user'], function(){
	Route::post('update-profile-pic', [App\Http\Controllers\Fontend\UserController::class, 'updateProfilePic']);
});

