<?php

// All Routes
Route::group(['prefix'=>'dev', 'middleware'=>['admin']], function(){
	// Menu Routes
	Route::group(['prefix'=>'menu'], function(){
		Route::get('/', [App\Http\Controllers\Backend\Dev\MenuController::class, 'index'])->name('dev.menu');
		Route::post('add', [App\Http\Controllers\Backend\Dev\MenuController::class, 'store'])->name('dev.menu.store');
		Route::match(['POST', 'GET'],'edit/{id}', [App\Http\Controllers\Backend\Dev\MenuController::class, 'edit'])->name('dev.menu.edit');
		Route::get('trash/to/{id}', [App\Http\Controllers\Backend\Dev\MenuController::class, 'trash'])->name('dev.menu.trash');
		Route::get('trash/list', [App\Http\Controllers\Backend\Dev\MenuController::class, 'trash_list'])->name('dev.menu.trash_list');		
		Route::get('delete/{id}', [App\Http\Controllers\Backend\Dev\MenuController::class, 'delete'])->name('dev.menu.delete');		
		Route::get('back/{id}', [App\Http\Controllers\Backend\Dev\MenuController::class, 'back'])->name('dev.menu.back');
		Route::get('sorting', [App\Http\Controllers\Backend\Dev\MenuController::class, 'sorting'])->name('dev.menu.sorting');
	});

	// Sub-Menu Routes
	Route::group(['prefix'=>'sub-menu'], function(){
		Route::get('/', [App\Http\Controllers\Backend\Dev\SubMenuController::class, 'index'])->name('dev.sub_menu');
		Route::post('add', [App\Http\Controllers\Backend\Dev\SubMenuController::class, 'store'])->name('dev.sub_menu.store');
		Route::match(['POST', 'GET'],'edit/{id}', [App\Http\Controllers\Backend\Dev\SubMenuController::class, 'edit'])->name('dev.sub_menu.edit');
		Route::get('trash/to/{id}', [App\Http\Controllers\Backend\Dev\SubMenuController::class, 'trash'])->name('dev.sub_menu.trash');
		Route::get('trash/list', [App\Http\Controllers\Backend\Dev\SubMenuController::class, 'trash_list'])->name('dev.sub_menu.trash_list');		
		Route::get('delete/{id}', [App\Http\Controllers\Backend\Dev\SubMenuController::class, 'delete'])->name('dev.sub_menu.delete');		
		Route::get('back/{id}', [App\Http\Controllers\Backend\Dev\SubMenuController::class, 'back'])->name('dev.sub_menu.back');
	});
	
	// Action-Menu Routes
	Route::group(['prefix'=>'action-menu'], function(){
		Route::get('/', [App\Http\Controllers\Backend\Dev\ActionMenuController::class, 'index'])->name('dev.action_menu');
		Route::post('add', [App\Http\Controllers\Backend\Dev\ActionMenuController::class, 'store'])->name('dev.action_menu.store');
		Route::match(['POST', 'GET'],'edit/{id}', [App\Http\Controllers\Backend\Dev\ActionMenuController::class, 'edit'])->name('dev.action_menu.edit');
		Route::get('trash/to/{id}', [App\Http\Controllers\Backend\Dev\ActionMenuController::class, 'trash'])->name('dev.action_menu.trash');
		Route::get('trash/list', [App\Http\Controllers\Backend\Dev\ActionMenuController::class, 'trash_list'])->name('dev.action_menu.trash_list');		
		Route::get('delete/{id}', [App\Http\Controllers\Backend\Dev\ActionMenuController::class, 'delete'])->name('dev.action_menu.delete');		
		Route::get('back/{id}', [App\Http\Controllers\Backend\Dev\ActionMenuController::class, 'back'])->name('dev.action_menu.back');
	});
});