<?php

use App\Http\Controllers\Fontend\HomeController;
use App\Http\Controllers\Fontend\RegistrationController;
use App\Http\Controllers\Fontend\Auth\LoginController;
use App\Http\Controllers\Fontend\UserController;

Route::get('', [HomeController::class, 'index'])->name('home');
Route::get('notice/{id}', [HomeController::class, 'viewNotice'])->name('home.view.notice');
Route::get('gallery', [HomeController::class, 'gallery'])->name('gallery');
Route::get('contact', [HomeController::class, 'contact'])->name('contact');
Route::get('career/{category?}', [HomeController::class, 'career'])->name('career');


Route::group(['prefix' => 'registration'], function () {
	Route::get('form', [RegistrationController::class, 'form'])->name('user.registration.form');
	Route::post('store', [RegistrationController::class, 'store'])->name('user.registration.store');
});


Route::group(['prefix' => 'user'], function () {
	Route::get('login/{username?}', [LoginController::class, 'form'])->name('login');
	Route::post('login/{username?}', [LoginController::class, 'login']);


	// USER PANEL
	Route::group(['middleware'=>'auth'], function(){
		Route::get('dashboard', [UserController::class, 'index'])->name('user.dashboard');
		Route::get('profile', [UserController::class, 'profile'])->name('user.profile');
		Route::match(['GET', 'POST'], 'members', [UserController::class, 'members'])->name('user.members');
		Route::post('profile', [UserController::class, 'updateProfile'])->name('user.update.profile');
		Route::get('logout', [LoginController::class, 'logout'])->name('user.logout');
	});

});
