<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>
<section class="signup-section">
    <div class="container">
        <h1 class="signup-title"> Application Form For Membership </h1>
        <div class="form-section">
            <form method="POST" action="<?php echo e(route('user.registration.store')); ?>" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="card">
                    <div class="card-title">
                        1. Personal Information
                    </div>

                    <div class="card-body">
                        

                    <div class="">
                        <?php if($errors->any()): ?>
                            <div class="alert alert-danger">
                                <ul>
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><?php echo e($error); ?></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        <?php endif; ?>
                    </div>
                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Name of the Applicant (In Block Letter):</label>
                                    <input type="text" class="form-control" id="nameEn" name="name_en" value="<?php echo e(old('name_en')); ?>" placeholder="" required>
                                </div>
                            </div>
                            
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>বাংলায়:</label>
                                    <input type="text" class="form-control" id="nameBn" name="name_bn" value="<?php echo e(old('name_bn')); ?>" placeholder="" required>
                                </div>
                            </div>
                            
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Mobile:</label>
                                    <input type="text" name="mobile" class="form-control" value="<?php echo e(old('mobile')); ?>" id="mobile" required>
                                </div>
                            </div>
                            
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Department:</label>
                                    <select name="academic_department" class="form-control text-uppercase">
                                        <option <?php echo e(old('academic_department')=='Architecture'?'selected':''); ?>>Architecture</option>
                                        <option <?php echo e(old('academic_department')=='Civil'?'selected':''); ?>>Civil</option>
                                        <option <?php echo e(old('academic_department')=='Chemical & Food'?'selected':''); ?>>Chemical & Food</option>
                                        <option <?php echo e(old('academic_department')=='Computer'?'selected':''); ?>>Computer</option>
                                        <option <?php echo e(old('academic_department')=='Electrical'?'selected':''); ?>>Electrical</option>
                                        <option <?php echo e(old('academic_department')=='Electronics'?'selected':''); ?>>Electronics</option>
                                        <option <?php echo e(old('academic_department')=='Environmental'?'selected':''); ?>>Environmental</option>
                                        <option <?php echo e(old('academic_department')=='Mechanical'?'selected':''); ?>>Mechanical</option>
                                        <option <?php echo e(old('academic_department')=='Power (Automobile & RA)'?'selected':''); ?>>Power (Automobile & RA)</option>
                                        <option <?php echo e(old('academic_department')=='Nontech Dept.'?'selected':''); ?>>Nontech Dept.</option>
                                    </select>
                                    <!-- <input type="text" name="academic_department" value="<?php echo e(old('academic_department')); ?>" class="form-control" required> -->
                                </div>
                            </div>
                            
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Session:</label>
                                    <input type="text" name="academic_session" value="<?php echo e(old('academic_session')); ?>" class="form-control" required>
                                </div>
                            </div>
                            
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Passing Year:</label>
                                    <input type="text" name="academic_passing_year" value="<?php echo e(old('academic_passing_year')); ?>" class="form-control" required>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <hr>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Mobile</label>
                                    <input type="text" name="username" id="username" value="<?php echo e(old('username')); ?>" class="form-control" placeholder="Enter Your Mobile" required readonly>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Password</label>
                                    <input type="password" name="password" class="form-control" placeholder="Enter Your Password" required>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Confirm Password</label>
                                    <input type="password" name="password_confirmation" class="form-control" placeholder="Enter Your Confirm Password" required>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="text-right">
                    <div class="btn-group">
                        <input type="submit" value="Submit" class="btn btn-success">
                    </div>
                </div>
            </form>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script>
        (()=>{
        var mobile   = document.querySelector('#mobile');
        var username = document.querySelector('#username');

        if(mobile && username){
            mobile.addEventListener('input', ()=>{
                if(username.value)
                    console.log(username, mobile);
                    username.value = mobile.value;
            });
        }
    })();



    (()=>{
        var signature_img = document.querySelector("#signature_img");
        if(signature_img){
            signature_img.addEventListener('change', (event)=>{
                var reader = new FileReader();
                reader.onload = function(){
                    var output = document.getElementById('show_signature');
                    output.src = reader.result;
                }
                reader.readAsDataURL(event.target.files[0]);
            });
        }
        
        
        var documents = document.querySelector("#documents");
        if(documents){
            documents.addEventListener('change', (event)=>{
                var images = ``;
                Object.values(event.target.files).forEach((file)=>{
                   var reader = new FileReader();
                    reader.onload = function(){
                        var output = document.getElementById('show_signature');
                        images += `<img src="${reader.result}" height="100px">`;
                        
                        document.querySelector("#uploaded_images").innerHTML = images;
                    }
                    reader.readAsDataURL(file);
               });
            });
        }
    })();
</script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<style>
    .custom-file-input {
        z-index: 999;
    }
    .signup-section .card {
      margin-bottom: 20px;
    }

    .signup-section .card-title {
      background: #eee;
      padding: 10px;
      font-size: 20px;
      font-weight: 600;
    }

    .signup-title {
      margin-bottom: 10px;
      padding: 20px 0;
    }

    .form-subsection {
      background: #f3f3f3;
      padding: 5px 15px;
      margin-bottom: 20px;
      border-radius: 5px;
    }

    .form-subsection .title {
      padding: 5px 0;
      margin-bottom: 10px;
      border-bottom: 1px solid #dedede;
    }
    #uploaded_images img {
        padding: 3px;
        border: 1px solid;
        margin-right: 5px;
    }
</style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('fontend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamimhaque/Desktop/project_source/OrangeBd-DPI-Alamni/resources/views/fontend/pages/auth/registration.blade.php ENDPATH**/ ?>