<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>
<section class="signup-section">
    <div class="container">
        <h1 class="signup-title"> Application Form For Membership </h1>
        <div class="form-section">
            <form method="POST" action="<?php echo e(route('user.registration.store')); ?>" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="card">
                    <div class="card-title">
                        Registration
                    </div>

                    <div class="card-body">

                        <div class="">
                            <?php if($errors->any()): ?>
                            <div class="alert alert-danger">
                                <ul>
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                            <?php endif; ?>
                        </div>

                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Name of the Applicant:</label>
                                    <input type="text" class="form-control" id="nameEn" name="name_en" value="<?php echo e(old('name_en')); ?>" style="text-transform: uppercase;" required>
                                </div>
                            </div>

                            <!-- <div class="col-md-6">
                                <div class="form-group">
                                    <label>বাংলায়:</label>
                                    <input type="text" class="form-control" id="nameBn" name="name_bn" value="<?php echo e(old('name_bn')); ?>" placeholder="" required>
                                </div>
                            </div> -->

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Mobile:</label>

                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1">+880</span>
                                        </div>
                                        <input type="number" name="mobile" class="form-control" value="<?php echo e(old('mobile')); ?>" id="mobile" placeholder="17xxxxxxxx" required>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Department:</label>
                                    <select name="academic_department" class="form-control text-uppercase">
                                        <option <?php echo e(old('academic_department')=='Architecture'?'selected':''); ?>>Architecture</option>
                                        <option <?php echo e(old('academic_department')=='Civil'?'selected':''); ?>>Civil</option>
                                        <option <?php echo e(old('academic_department')=='Chemical & Food'?'selected':''); ?>>Chemical & Food</option>
                                        <option <?php echo e(old('academic_department')=='Computer'?'selected':''); ?>>Computer</option>
                                        <option <?php echo e(old('academic_department')=='Electrical'?'selected':''); ?>>Electrical</option>
                                        <option <?php echo e(old('academic_department')=='Electronics'?'selected':''); ?>>Electronics</option>
                                        <option <?php echo e(old('academic_department')=='Environmental'?'selected':''); ?>>Environmental</option>
                                        <option <?php echo e(old('academic_department')=='Mechanical'?'selected':''); ?>>Mechanical</option>
                                        <option <?php echo e(old('academic_department')=='Power (Automobile & RA)'?'selected':''); ?>>Power (Automobile & RA)</option>
                                        <option <?php echo e(old('academic_department')=='Nontech Dept.'?'selected':''); ?>>Nontech Dept.</option>
                                    </select>
                                    <!-- <input type="text" name="academic_department" value="<?php echo e(old('academic_department')); ?>" class="form-control" required> -->
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Session:</label>
                                    <input type="text" name="academic_session" value="<?php echo e(old('academic_session')); ?>" class="form-control" required placeholder="1983-84">
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Passing Year:</label>
                                    <input type="text" name="academic_passing_year" value="<?php echo e(old('academic_passing_year')); ?>" class="form-control" required placeholder="1987">
                                </div>
                            </div>

                            <!-- <div class="col-md-6">
                                <Label class="col-form-label">Upload your certificate</Label>
                                <input type="file" class="form-control" name="certificate" value="" id="signature_img">
                                <br>
                                <img id="show_signature" height="100px" src="">
                            </div> -->

                            <div class="col-md-12">
                                <hr>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Mobile</label>
                                    <input type="text" name="username" id="username" value="<?php echo e(old('username')); ?>" class="form-control" placeholder="Your Mobile" required readonly>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Password</label>
                                    <div style="position:relative">
                                        <span class="show-icon"><i class="fa fa-eye"></i></span>
                                        <input type="password" name="password" class="form-control" placeholder="Enter new password" required>
                                    </div>
                                    <small id="passwordHelp" class="form-text text-muted">Enter atleast 6 character.</small>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Confirm Password</label>
                                    <div style="position:relative">
                                        <span class="show-icon"><i class="fa fa-eye"></i></span>
                                        <input type="password" name="password_confirmation" class="form-control" placeholder="Type same password" required>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="text-right">
                    <div class="btn-group">
                        <input type="submit" value="Submit" class="btn btn-success">
                    </div>
                </div>
            </form>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script>
    (() => {
        var mobile = document.querySelector('#mobile');
        var username = document.querySelector('#username');

        if (mobile && username) {
            mobile.addEventListener('input', () => {
                if (mobile.value.length > 10) {
                    mobile.value = (mobile.value).slice(0, 10);
                }
                if (username)
                    username.value = '0' + mobile.value;
            });
        }
    })();



    (() => {
        var signature_img = document.querySelector("#signature_img");
        if (signature_img) {
            signature_img.addEventListener('change', (event) => {
                var reader = new FileReader();
                reader.onload = function() {
                    var output = document.getElementById('show_signature');
                    output.src = reader.result;
                }
                reader.readAsDataURL(event.target.files[0]);
            });
        }


        var documents = document.querySelector("#documents");
        if (documents) {
            documents.addEventListener('change', (event) => {
                var images = ``;
                Object.values(event.target.files).forEach((file) => {
                    var reader = new FileReader();
                    reader.onload = function() {
                        var output = document.getElementById('show_signature');
                        images += `<img src="${reader.result}" height="100px">`;

                        document.querySelector("#uploaded_images").innerHTML = images;
                    }
                    reader.readAsDataURL(file);
                });
            });
        }
    })();

    (() => {
        var all_show_btn = document.querySelectorAll('.show-icon');
        Object.values(all_show_btn).forEach((btn) => {
            btn.addEventListener('click', () => {
                if (btn.nextElementSibling.type == 'text') {
                    btn.nextElementSibling.type = 'password';
                    btn.querySelector('i').setAttribute('class', 'fa fa-eye');
                } else {
                    btn.nextElementSibling.type = 'text';
                    btn.querySelector('i').setAttribute('class', 'fa fa-eye-slash');
                }
            });
        });
    })()
</script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<style>
    .show-botton,
    .show-icon {
        cursor: pointer;
    }

    .show-icon {
        position: absolute;
        right: 12px;
        top: 50%;
        transform: translateY(-50%);
    }

    .custom-file-input {
        z-index: 999;
    }

    .signup-section .card {
        margin-bottom: 20px;
    }

    .signup-section .card-title {
        background: #eee;
        padding: 10px;
        font-size: 20px;
        font-weight: 600;
    }

    .signup-title {
        margin-bottom: 10px;
        padding: 20px 0;
    }

    .form-subsection {
        background: #f3f3f3;
        padding: 5px 15px;
        margin-bottom: 20px;
        border-radius: 5px;
    }

    .form-subsection .title {
        padding: 5px 0;
        margin-bottom: 10px;
        border-bottom: 1px solid #dedede;
    }

    #uploaded_images img {
        padding: 3px;
        border: 1px solid;
        margin-right: 5px;
    }

    .alert ul {
        margin-bottom: 0 !important;
    }
</style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('fontend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alumniorangebd/public_html/resources/views/fontend/pages/auth/registration.blade.php ENDPATH**/ ?>