<?php $__env->startSection('title', 'List'); ?>

<?php $__env->startSection('content'); ?>
<div class="card">
	<div class="card-header">
		<h3 class="float-left">List (<small>Slider</small>)</h3>
		
		<div class="loader">
			<span class="spinner"></span>
		</div>

		<div class="float-right">
			
			<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#CreateSlider">
				Create Slider
			</button>
		</div>
	</div>
	<div class="card-body min75vh">
		
		<form action="" method="get">
			<div class="row border-bottom mb-3">
				<div class="col-md-3 form-group">
					<select name="search[title]" class="form-control selectpicker" data-live-search="true" data-value="<?php echo e(Request()->search['title'] ?? ''); ?>">
						<option value="">-Select Title-</option>
						<?php if(!empty($sliders_for_filter )): ?> <?php $__currentLoopData = $sliders_for_filter; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						<option value="<?php echo e($row->title); ?>" <?php echo e($row->title==($edit->title??old('title'))?'selected':''); ?>><?php echo e($row->title); ?></option>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <?php endif; ?>
					</select>
				</div>

				<div class="col-md-2 form-group">
					<input type="submit" class="btn btn-primary" value="Filter">
				</div>
			</div>
		</form>

		<?php if(!$sliders->isEmpty()): ?>
			<div class="table-responsive">
				<div class="coloumn drag-sort-enable" id="table">
					
					<div class="_row heading">
						<div>Title</div>
						<div>Image</div>
						<div>Action</div>
					</div>
						
					<?php $__currentLoopData = $sliders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						<div class="_row slider_item" data-id="<?php echo e($value->id); ?>" draggable>
							<div><?php echo e($value->title); ?></div>
							<div><img src="<?php echo e(asset($value->img_path)); ?>" alt="Slider" class="thumbnail"></div>
							<div class="text-center action">
								<div class="btn-group">
									<a href="<?php echo e(route('admin.slider.edit', $value->id)); ?>" title="Edit" class="btn btn-sml btn-success">
										<i class="fa fa-pencil-square-o"></i>
									</a> 
									<a href="<?php echo e(route('admin.slider.delete', $value->id)); ?>" data-title="Are You Sure Want To Delete?" class="confirmation btn btn-sml btn-danger">
										<i class="fa fa-trash-o"></i>
									</a>
								</div>
							</div>
						</div>
					<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</div>
			</div>
		<?php else: ?>
			<div class="nothing-found">
				<div>
					<h1 title="Nothing Here...">¯\_(ツ)_/¯</h1>
					<h5>Nothing Here</h5>
				</div>
			</div>
		<?php endif; ?>

		<!-- Modal -->
		<div class="modal fade" id="CreateSlider" tabindex="-1" role="dialog" aria-labelledby="CreateSliderLabel" aria-hidden="true">
			<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
				<h5 class="modal-title" id="CreateSliderLabel">Create Slider</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
				</div>
				<div class="modal-body">
					<form action="<?php echo e(route('admin.slider.store')); ?>" id="slider" method="post" enctype="multipart/form-data">
						<?php echo csrf_field(); ?>
						<div>
							<div class="form-group">
								<label class="label-control">Title</label>
								<input type="text" name="title" Placeholder="Title... *" required class="form-control">
							</div>
							<br>
			
							
							<div>
								<strong>Slider</strong>
								<label class="image_upload_zone" for="">
									<input type="file" name="img" accept=".jpeg, .jpg, .png, .webp" onchange="previewFile('preview', this)">
									
									<i class="fa fa-upload"></i>
									
									<div class="text">
										<span>Drag And drop Slider</span>
										<strong>Or</strong>
										<br>
										<button>Select Slider</button>
										<br>
										<span>
											File Type JPG,PNG,Webp
											<br>
											Slider Size Limit: 1MB
											<br>
											Slider Ration: 1200x300
										</span>
									</div>
								</label>
								
								<div class="image_preview_wrapper">
									<img style="max-width: 100%;" src="" id="preview">
								</div>
							</div>
						</div>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
					<button type="submit" form="slider" class="btn btn-primary">Create</button>
				</div>
			</div>
			</div>
		</div>

	</div>
</div>
<?php $__env->stopSection(); ?>



<?php $__env->startSection('style'); ?>
	<style>
		.loader{
			width: fit-content;
			height: 100%;
			place-items: center;
			padding: 0 10px;
			display: none;
		}
		
		.loader.active{
			display: inline-grid;
		}

		.loader .spinner{
			display: inline-block;
			width: 20px;
			height: 20px;
			border-radius: 50%;
			border: 3px solid #0001;
			border-right-color: orangered;
			animation-name: spinner;
			animation-duration: 1s;
			animation-iteration-count: infinite;
			animation-timing-function: cubic-bezier(0.5, 1.11, 0.51, 1.3);
		}

		@keyframes  spinner{
			0%{
				transform: rotate(0deg);
			}
			100%{
				transform: rotate(360deg);
			}
		}
		.image_upload_zone{
			display: block;
			width: 100%;
			border: 2px dashed #ddd;
			position: relative;
			padding: 40px 10px;
			margin: 25px 0;
			text-align: center;
		}
		.image_upload_zone input[type=file]{
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			opacity: 0;
		}
		.image_upload_zone i{
			vertical-align: middle;
			border-style: none;
			font-size: 100px;
			margin: auto;
			display: block;
		}
		.image_upload_zone .text{
			text-align: center;
			font-size: 1.2rem;
		}
		.image_upload_zone .text button{
			background: #fff;
			padding: 10px 25px;
			margin: 15px 0;
			font-weight: bold;
			box-shadow: 0 1px 10px #0002;
			border: 1px solid #bcbcbc;
		}
		.image_preview_wrapper{
			margin: 15px 0;
			display: block;
			width: 100%;
		}
		.image_preview_wrapper img{
			display: block;
			max-width: 400px;
		}
		td:hover{
			cursor:move;
		}
		.coloumn{
			display: grid;
			margin: 5px 0;
		}
		.coloumn ._row.heading{
			font-weight: 600;
			background-color: #f8f8f8;
		}
		.coloumn ._row{
			display: grid;
			grid-template-columns: 80%  12% 8%;
		}
		.coloumn ._row>div{
			border: 1px solid #0001;
			margin-bottom: -1px;
			padding: 6px 10px;
			display: grid;
			align-items: center;
			pointer-events: none;
		}
		.coloumn ._row>div+div{
			margin-left: -1px;
		}
		.coloumn ._row>div.action{
			place-content: center;
			pointer-events: auto;
		}
	</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
	<script>
		//this script for image file preview
		function previewFile(place,e) {
			var file 	   = e.files[0],
				preview    = document.getElementById(place),
				fileReader = new FileReader();
				
			fileReader.addEventListener('load', function(){
				preview.src = fileReader.result;
				
			});
			
			if(file){
				fileReader.readAsDataURL(file);
			}
		}
	</script>
	
	<script>
		function enableDragSort(listClass) {
		  const sortableLists = document.getElementsByClassName(listClass);
		  Array.prototype.map.call(sortableLists, (list) => {enableDragList(list)});
		}

		function enableDragList(list) {
			Array.prototype.map.call(list.children, (item) => {enableDragItem(item)});
		}

		function enableDragItem(item) {
		  item.setAttribute('draggable', true)
		  item.ondrag    = handleDrag;
		  item.ondragend = handleDrop;
		}

		function handleDrag(item)
		{
		  const selectedItem = item.target,
		        list = selectedItem.parentNode,
		        x = event.clientX,
		        y = event.clientY;
		  
		  selectedItem.classList.add('drag-sort-active');
		  let swapItem = document.elementFromPoint(x, y) === null ? selectedItem : document.elementFromPoint(x, y);
		  
		  if (list === swapItem.parentNode) {
		    swapItem = swapItem !== selectedItem.nextSibling ? swapItem : swapItem.nextSibling;
		    list.insertBefore(selectedItem, swapItem);
		  }
		}

		function handleDrop(item) {
		  item.target.classList.remove('drag-sort-active');
		  let dragSortEnable         = document.querySelector(".drag-sort-enable"),
		      dragSortEnableChildren = dragSortEnable.children,
		      i                      = 0;

		  for(i; i<dragSortEnableChildren.length; i++){
		    dragSortEnableChildren[i].setAttribute('data-position', i);
		  }


		  /*update database position for aside menu item start*/
		  update_position();
		  /*update database position for aside menu item end*/
		}

		(()=> {enableDragSort('drag-sort-enable')})();



		// update aside menu position start
		async function update_position()
		{
			let myLoader = document.querySelector('.loader');
			var id_position = {};

			var slider_item = document.querySelectorAll('.slider_item');
			myLoader.classList.add('active');

			slider_item = Array.isArray(slider_item) ? slider_item : Object.values(slider_item);
			slider_item.forEach(function(single_slider_item){
				id_position[single_slider_item.dataset.id] = single_slider_item.dataset.position;
				id_position[single_slider_item.dataset.id] = single_slider_item.dataset.position;
			});


			let url = "<?php echo e(route('admin.slider.sort_slider')); ?>";
			
			id_position = JSON.stringify(id_position);
			
			
			let res  = await fetch(url+"/"+id_position);
			let data = await res.text();
			
			myLoader.classList.remove('active');
		}
		// update aside menu position end
	</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamimhaque/Desktop/project_source/OrangeBd-DPI-Alamni/resources/views/backend/pages/slider/index.blade.php ENDPATH**/ ?>