<?php $__env->startSection('title', 'User Dashboard'); ?>

<?php $__env->startSection('content'); ?>


<div class="container">
	<div class="user-panel">
		<div class="user-aside">
			<img src="<?php echo e(asset('public/images/gallery/1636543861.jpg')); ?>">
			<ul>
				<li><a href="<?php echo e(route('user.dashboard')); ?>">Dashboard</a></li>
				<li><a href="<?php echo e(route('user.members')); ?>">All Member</a></li>
				<li><a href="<?php echo e(route('user.profile')); ?>">My Profile</a></li>
			</ul>
		</div>
		<div class="main-section">
			<h3>Dashboard</h3>
			<div class="dashboard">
				<div class="text-center">
					<h3>Welcome To Dhaka Polytechnic Alumni Association</h3>
					<h4 class="mt-2 mb-2">Your Account Is Not Approved</h4>
					<div class="btn-group mt-2">
						<button id="bKash_button" class="btn btn-success">Pay Now</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('style'); ?>
<style>
	.dashboard {
		width: 100%;
		min-height: 60vh;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	.user-panel {
		min-height: 70vh;
		padding: 15px;
		display: flex;
		box-sizing: border-box;
	}
	.user-panel .user-aside {
		width: 250px;
		background: #f8f9fa;
		text-align: center;
		padding: 20px 0px
	}
	.user-panel .main-section {
		width: calc(100% - 250px);
		padding: 15px;
	}
	.user-aside ul li {
		list-style: none;
	}
	.user-aside ul li a {
		display: block;
	    text-align: center;
	    color: #000000;
	    padding: 5px;
	    margin-top: 2px;
	    background: #e9ecef;
	}
	.user-aside ul li a:hover {
	    background: #dee4e9;
	}
	.user-aside img {
		width: 100px;
		height: 100px;
		border-radius: 50%;
		border: 1px solid #ddd;
		padding: 1px;
		object-fit: cover;
		margin: auto;
		margin-bottom: 20px;
	}
</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('public/fontend/js/jquery-1.8.3.min.js')); ?>"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.24.0/axios.min.js" integrity="sha512-u9akINsQsAkG9xjc1cnGF4zw5TFDwkxuc9vUp5dltDWYCSmyd0meygbvgXrlc/z7/o4a19Fb5V0OUE58J7dcyw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script id = "myScript" src="https://scripts.sandbox.bka.sh/versions/1.2.0-beta/checkout/bKash-checkout-sandbox.js"></script>
 
<script>
    var accessToken = '';
    $(document).ready(function(){
        $.ajax({
            url: "token.php",
            type: 'POST',
            contentType: 'application/json',
            success: function (data) {
                console.log('got data from token..');
				console.log(JSON.stringify(data));
                accessToken=JSON.stringify(data);
            },
			error: function(){
				console.log('error');       
            }
        });

        var paymentConfig={
            createCheckoutURL:"createpayment.php",
            executeCheckoutURL:"executepayment.php",
        };
		
        var paymentRequest;
        paymentRequest = { amount:'105',intent:'sale'};
		console.log(JSON.stringify(paymentRequest));

        bKash.init({
            paymentMode: 'checkout',
            paymentRequest: paymentRequest,
            createRequest: function(request){

                console.log('=> createRequest (request) :: ');
                console.log(request);
                
                $.ajax({
                    url: paymentConfig.createCheckoutURL+"?amount="+paymentRequest.amount,
                    type:'GET',
                    contentType: 'application/json',
                    success: function(data) {
                        console.log('got data from create  ..');
                        console.log('data ::=>');
                        console.log(JSON.stringify(data));
                        
                        var obj = JSON.parse(data);
                        
                        if(data && obj.paymentID != null){
                            paymentID = obj.paymentID;
                            bKash.create().onSuccess(obj);
                        }
                        else {
							console.log('error');
                            bKash.create().onError();
                        }
                    },
                    error: function(){
						console.log('error');
                        bKash.create().onError();
                    }
                });
            },
            
            executeRequestOnAuthorization: function(){
                console.log('=> executeRequestOnAuthorization');
                $.ajax({
                    url: paymentConfig.executeCheckoutURL+"?paymentID="+paymentID,
                    type: 'GET',
                    contentType:'application/json',
                    success: function(data){
                        console.log('got data from execute  ..');
                        console.log('data ::=>');
                        console.log(JSON.stringify(data));
                        
                        data = JSON.parse(data);
                        if(data && data.paymentID != null){
                            alert('[SUCCESS] data : ' + JSON.stringify(data));
                            window.location.href = "success.html";  
                        }
                        else {
                            bKash.execute().onError();
                        }
                    },
                    error: function(){
                        bKash.execute().onError();
                    }
                });
            }
        });
        
		console.log("Right after init ");
    });
	
	function callReconfigure(val){
        bKash.reconfigure(val);
    }

    function clickPayButton(){
        $("#bKash_button").trigger('click');
    }
</script>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('fontend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamimhaque/Desktop/OrangeBd-DPI-Alamni/resources/views/fontend/pages/user/dashboard.blade.php ENDPATH**/ ?>